/*
 * OFCommandGlue.h
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import <Foundation/Foundation.h>
#import "Appscript/Appscript.h"
#import "OFReferenceRendererGlue.h"

@interface OFCommand : ASCommand
- (NSString *)AS_formatObject:(id)obj appData:(id)appData;
@end


@interface OFGetURLCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFActivateCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFAddCommand : OFCommand
- (OFAddCommand *)to:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFArchiveCommand : OFCommand
- (OFArchiveCommand *)compression:(id)value;
- (OFArchiveCommand *)in:(id)value;
- (OFArchiveCommand *)summaries:(id)value;
- (OFArchiveCommand *)usingCache:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFCloseCommand : OFCommand
- (OFCloseCommand *)saving:(id)value;
- (OFCloseCommand *)savingIn:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFCompactCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFCompleteCommand : OFCommand
- (OFCompleteCommand *)as:(id)value;
- (OFCompleteCommand *)maximumMatches:(id)value;
- (OFCompleteCommand *)spanClass:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFCountCommand : OFCommand
- (OFCountCommand *)each:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFDeleteCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFDuplicateCommand : OFCommand
- (OFDuplicateCommand *)to:(id)value;
- (OFDuplicateCommand *)withProperties:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFExistsCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFGetCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFIcal_synchronizeCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFImportCommand : OFCommand
- (OFImportCommand *)at:(id)value;
- (OFImportCommand *)withContextsAt:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFInsertCommand : OFCommand
- (OFInsertCommand *)at:(id)value;
- (OFInsertCommand *)using:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFLaunchCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFMakeCommand : OFCommand
- (OFMakeCommand *)at:(id)value;
- (OFMakeCommand *)new_:(id)value;
- (OFMakeCommand *)withData:(id)value;
- (OFMakeCommand *)withProperties:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFMoveCommand : OFCommand
- (OFMoveCommand *)to:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFOpenCommand : OFCommand
- (OFOpenCommand *)repairInPlace:(id)value;
- (OFOpenCommand *)upgradeInPlace:(id)value;
- (OFOpenCommand *)usingCache:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFOpenLocationCommand : OFCommand
- (OFOpenLocationCommand *)window:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFParseTasksCommand : OFCommand
- (OFParseTasksCommand *)asSingleTask:(id)value;
- (OFParseTasksCommand *)withTransportText:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFPbcopyCommand : OFCommand
- (OFPbcopyCommand *)as:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFPbpasteCommand : OFCommand
- (OFPbpasteCommand *)at:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFPbsaveCommand : OFCommand
- (OFPbsaveCommand *)as:(id)value;
- (OFPbsaveCommand *)in:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFPrintCommand : OFCommand
- (OFPrintCommand *)printDialog:(id)value;
- (OFPrintCommand *)withProperties:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFQuitCommand : OFCommand
- (OFQuitCommand *)saving:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFRedoCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFRemoveCommand : OFCommand
- (OFRemoveCommand *)from:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFReopenCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFRunCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFSaveCommand : OFCommand
- (OFSaveCommand *)as:(id)value;
- (OFSaveCommand *)compression:(id)value;
- (OFSaveCommand *)in:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFSelectCommand : OFCommand
- (OFSelectCommand *)extending:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFSetCommand : OFCommand
- (OFSetCommand *)to:(id)value;
- (NSString *)AS_commandName;
- (NSString *)AS_parameterNameForCode:(DescType)code;
@end


@interface OFSynchronizeCommand : OFCommand
- (NSString *)AS_commandName;
@end


@interface OFUndoCommand : OFCommand
- (NSString *)AS_commandName;
@end

