/*
 * OFCommandGlue.m
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import "OFCommandGlue.h"

@implementation OFCommand
- (NSString *)AS_formatObject:(id)obj appData:(id)appData {
    return [OFReferenceRenderer formatObject: obj appData: appData];
}

@end


@implementation OFGetURLCommand
- (NSString *)AS_commandName {
    return @"GetURL";
}

@end


@implementation OFActivateCommand
- (NSString *)AS_commandName {
    return @"activate";
}

@end


@implementation OFAddCommand
- (OFAddCommand *)to:(id)value {
    [AS_event setParameter: value forKeyword: 'to  '];
    return self;

}

- (NSString *)AS_commandName {
    return @"add";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'to  ':
            return @"to";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFArchiveCommand
- (OFArchiveCommand *)compression:(id)value {
    [AS_event setParameter: value forKeyword: 0x46432d2d];
    return self;

}

- (OFArchiveCommand *)in:(id)value {
    [AS_event setParameter: value forKeyword: 'kfil'];
    return self;

}

- (OFArchiveCommand *)summaries:(id)value {
    [AS_event setParameter: value forKeyword: 0x46433d3d];
    return self;

}

- (OFArchiveCommand *)usingCache:(id)value {
    [AS_event setParameter: value forKeyword: 0x46432b43];
    return self;

}

- (NSString *)AS_commandName {
    return @"archive";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 0x46432d2d:
            return @"compression";
        case 'kfil':
            return @"in";
        case 0x46433d3d:
            return @"summaries";
        case 0x46432b43:
            return @"usingCache";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFCloseCommand
- (OFCloseCommand *)saving:(id)value {
    [AS_event setParameter: value forKeyword: 'savo'];
    return self;

}

- (OFCloseCommand *)savingIn:(id)value {
    [AS_event setParameter: value forKeyword: 'kfil'];
    return self;

}

- (NSString *)AS_commandName {
    return @"close";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'savo':
            return @"saving";
        case 'kfil':
            return @"savingIn";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFCompactCommand
- (NSString *)AS_commandName {
    return @"compact";
}

@end


@implementation OFCompleteCommand
- (OFCompleteCommand *)as:(id)value {
    [AS_event setParameter: value forKeyword: 'kocl'];
    return self;

}

- (OFCompleteCommand *)maximumMatches:(id)value {
    [AS_event setParameter: value forKeyword: 'FCmm'];
    return self;

}

- (OFCompleteCommand *)spanClass:(id)value {
    [AS_event setParameter: value forKeyword: 'FCsc'];
    return self;

}

- (NSString *)AS_commandName {
    return @"complete";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'kocl':
            return @"as";
        case 'FCmm':
            return @"maximumMatches";
        case 'FCsc':
            return @"spanClass";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFCountCommand
- (OFCountCommand *)each:(id)value {
    [AS_event setParameter: value forKeyword: 'kocl'];
    return self;

}

- (NSString *)AS_commandName {
    return @"count";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'kocl':
            return @"each";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFDeleteCommand
- (NSString *)AS_commandName {
    return @"delete";
}

@end


@implementation OFDuplicateCommand
- (OFDuplicateCommand *)to:(id)value {
    [AS_event setParameter: value forKeyword: 'insh'];
    return self;

}

- (OFDuplicateCommand *)withProperties:(id)value {
    [AS_event setParameter: value forKeyword: 'prdt'];
    return self;

}

- (NSString *)AS_commandName {
    return @"duplicate";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'insh':
            return @"to";
        case 'prdt':
            return @"withProperties";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFExistsCommand
- (NSString *)AS_commandName {
    return @"exists";
}

@end


@implementation OFGetCommand
- (NSString *)AS_commandName {
    return @"get";
}

@end


@implementation OFIcal_synchronizeCommand
- (NSString *)AS_commandName {
    return @"ical_synchronize";
}

@end


@implementation OFImportCommand
- (OFImportCommand *)at:(id)value {
    [AS_event setParameter: value forKeyword: 'insh'];
    return self;

}

- (OFImportCommand *)withContextsAt:(id)value {
    [AS_event setParameter: value forKeyword: 0x46433c43];
    return self;

}

- (NSString *)AS_commandName {
    return @"import";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'insh':
            return @"at";
        case 0x46433c43:
            return @"withContextsAt";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFInsertCommand
- (OFInsertCommand *)at:(id)value {
    [AS_event setParameter: value forKeyword: 'insh'];
    return self;

}

- (OFInsertCommand *)using:(id)value {
    [AS_event setParameter: value forKeyword: 'OSIs'];
    return self;

}

- (NSString *)AS_commandName {
    return @"insert";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'insh':
            return @"at";
        case 'OSIs':
            return @"using";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFLaunchCommand
- (NSString *)AS_commandName {
    return @"launch";
}

@end


@implementation OFMakeCommand
- (OFMakeCommand *)at:(id)value {
    [AS_event setParameter: value forKeyword: 'insh'];
    return self;

}

- (OFMakeCommand *)new_:(id)value {
    [AS_event setParameter: value forKeyword: 'kocl'];
    return self;

}

- (OFMakeCommand *)withData:(id)value {
    [AS_event setParameter: value forKeyword: 'data'];
    return self;

}

- (OFMakeCommand *)withProperties:(id)value {
    [AS_event setParameter: value forKeyword: 'prdt'];
    return self;

}

- (NSString *)AS_commandName {
    return @"make";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'insh':
            return @"at";
        case 'kocl':
            return @"new_";
        case 'data':
            return @"withData";
        case 'prdt':
            return @"withProperties";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFMoveCommand
- (OFMoveCommand *)to:(id)value {
    [AS_event setParameter: value forKeyword: 'insh'];
    return self;

}

- (NSString *)AS_commandName {
    return @"move";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'insh':
            return @"to";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFOpenCommand
- (OFOpenCommand *)repairInPlace:(id)value {
    [AS_event setParameter: value forKeyword: 0x4643522e];
    return self;

}

- (OFOpenCommand *)upgradeInPlace:(id)value {
    [AS_event setParameter: value forKeyword: 0x4643552e];
    return self;

}

- (OFOpenCommand *)usingCache:(id)value {
    [AS_event setParameter: value forKeyword: 0x46432b43];
    return self;

}

- (NSString *)AS_commandName {
    return @"open";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 0x4643522e:
            return @"repairInPlace";
        case 0x4643552e:
            return @"upgradeInPlace";
        case 0x46432b43:
            return @"usingCache";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFOpenLocationCommand
- (OFOpenLocationCommand *)window:(id)value {
    [AS_event setParameter: value forKeyword: 'WIND'];
    return self;

}

- (NSString *)AS_commandName {
    return @"openLocation";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'WIND':
            return @"window";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFParseTasksCommand
- (OFParseTasksCommand *)asSingleTask:(id)value {
    [AS_event setParameter: value forKeyword: 'FC1T'];
    return self;

}

- (OFParseTasksCommand *)withTransportText:(id)value {
    [AS_event setParameter: value forKeyword: 'FCFT'];
    return self;

}

- (NSString *)AS_commandName {
    return @"parseTasks";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'FC1T':
            return @"asSingleTask";
        case 'FCFT':
            return @"withTransportText";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFPbcopyCommand
- (OFPbcopyCommand *)as:(id)value {
    [AS_event setParameter: value forKeyword: 'OTas'];
    return self;

}

- (NSString *)AS_commandName {
    return @"pbcopy";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'OTas':
            return @"as";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFPbpasteCommand
- (OFPbpasteCommand *)at:(id)value {
    [AS_event setParameter: value forKeyword: 'insh'];
    return self;

}

- (NSString *)AS_commandName {
    return @"pbpaste";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'insh':
            return @"at";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFPbsaveCommand
- (OFPbsaveCommand *)as:(id)value {
    [AS_event setParameter: value forKeyword: 'fltp'];
    return self;

}

- (OFPbsaveCommand *)in:(id)value {
    [AS_event setParameter: value forKeyword: 'kfil'];
    return self;

}

- (NSString *)AS_commandName {
    return @"pbsave";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'fltp':
            return @"as";
        case 'kfil':
            return @"in";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFPrintCommand
- (OFPrintCommand *)printDialog:(id)value {
    [AS_event setParameter: value forKeyword: 'pdlg'];
    return self;

}

- (OFPrintCommand *)withProperties:(id)value {
    [AS_event setParameter: value forKeyword: 'prdt'];
    return self;

}

- (NSString *)AS_commandName {
    return @"print";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'pdlg':
            return @"printDialog";
        case 'prdt':
            return @"withProperties";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFQuitCommand
- (OFQuitCommand *)saving:(id)value {
    [AS_event setParameter: value forKeyword: 'savo'];
    return self;

}

- (NSString *)AS_commandName {
    return @"quit";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'savo':
            return @"saving";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFRedoCommand
- (NSString *)AS_commandName {
    return @"redo";
}

@end


@implementation OFRemoveCommand
- (OFRemoveCommand *)from:(id)value {
    [AS_event setParameter: value forKeyword: 'from'];
    return self;

}

- (NSString *)AS_commandName {
    return @"remove";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'from':
            return @"from";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFReopenCommand
- (NSString *)AS_commandName {
    return @"reopen";
}

@end


@implementation OFRunCommand
- (NSString *)AS_commandName {
    return @"run";
}

@end


@implementation OFSaveCommand
- (OFSaveCommand *)as:(id)value {
    [AS_event setParameter: value forKeyword: 'fltp'];
    return self;

}

- (OFSaveCommand *)compression:(id)value {
    [AS_event setParameter: value forKeyword: 0x46432d2d];
    return self;

}

- (OFSaveCommand *)in:(id)value {
    [AS_event setParameter: value forKeyword: 'kfil'];
    return self;

}

- (NSString *)AS_commandName {
    return @"save";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'fltp':
            return @"as";
        case 0x46432d2d:
            return @"compression";
        case 'kfil':
            return @"in";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFSelectCommand
- (OFSelectCommand *)extending:(id)value {
    [AS_event setParameter: value forKeyword: 'OTex'];
    return self;

}

- (NSString *)AS_commandName {
    return @"select";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'OTex':
            return @"extending";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFSetCommand
- (OFSetCommand *)to:(id)value {
    [AS_event setParameter: value forKeyword: 'data'];
    return self;

}

- (NSString *)AS_commandName {
    return @"set";
}

- (NSString *)AS_parameterNameForCode:(DescType)code {
    switch (code) {
        case 'data':
            return @"to";
    }
    return [super AS_parameterNameForCode: code];
}

@end


@implementation OFSynchronizeCommand
- (NSString *)AS_commandName {
    return @"synchronize";
}

@end


@implementation OFUndoCommand
- (NSString *)AS_commandName {
    return @"undo";
}

@end

