/*
 * OFConstantGlue.h
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import <Foundation/Foundation.h>
#import "Appscript/Appscript.h"

@interface OFConstant : ASConstant
+ (id)constantWithCode:(OSType)code_;

/* Enumerators */

+ (OFConstant *)active;
+ (OFConstant *)applicationResponses;
+ (OFConstant *)ask;
+ (OFConstant *)case_;
+ (OFConstant *)day;
+ (OFConstant *)detailed;
+ (OFConstant *)diacriticals;
+ (OFConstant *)done;
+ (OFConstant *)dropped;
+ (OFConstant *)expansion;
+ (OFConstant *)hour;
+ (OFConstant *)hyphens;
+ (OFConstant *)minute;
+ (OFConstant *)month;
+ (OFConstant *)no;
+ (OFConstant *)numericStrings;
+ (OFConstant *)onHold;
+ (OFConstant *)punctuation;
+ (OFConstant *)standard;
+ (OFConstant *)week;
+ (OFConstant *)whitespace;
+ (OFConstant *)year;
+ (OFConstant *)yes;

/* Types and properties */

+ (OFConstant *)April;
+ (OFConstant *)August;
+ (OFConstant *)December;
+ (OFConstant *)EPSPicture;
+ (OFConstant *)February;
+ (OFConstant *)Friday;
+ (OFConstant *)GIFPicture;
+ (OFConstant *)JPEGPicture;
+ (OFConstant *)January;
+ (OFConstant *)July;
+ (OFConstant *)June;
+ (OFConstant *)March;
+ (OFConstant *)May;
+ (OFConstant *)Monday;
+ (OFConstant *)November;
+ (OFConstant *)October;
+ (OFConstant *)PICTPicture;
+ (OFConstant *)PNGData;
+ (OFConstant *)RGB16Color;
+ (OFConstant *)RGB96Color;
+ (OFConstant *)RGBColor;
+ (OFConstant *)Saturday;
+ (OFConstant *)September;
+ (OFConstant *)Sunday;
+ (OFConstant *)TIFFData;
+ (OFConstant *)TIFFPicture;
+ (OFConstant *)Thursday;
+ (OFConstant *)Tuesday;
+ (OFConstant *)Wednesday;
+ (OFConstant *)a;
+ (OFConstant *)alias;
+ (OFConstant *)allowedMailSenders;
+ (OFConstant *)allowsNextAction;
+ (OFConstant *)altitude;
+ (OFConstant *)ancestorTree;
+ (OFConstant *)anything;
+ (OFConstant *)application;
+ (OFConstant *)applicationBundleID;
+ (OFConstant *)applicationSignature;
+ (OFConstant *)applicationURL;
+ (OFConstant *)archive;
+ (OFConstant *)archiveData;
+ (OFConstant *)assignedContainer;
+ (OFConstant *)attachment;
+ (OFConstant *)attribute;
+ (OFConstant *)attributeRun;
+ (OFConstant *)availableGroupingIdentifiers;
+ (OFConstant *)availableSmartGroupIdentifiers;
+ (OFConstant *)availableSortingIdentifiers;
+ (OFConstant *)availableTask;
+ (OFConstant *)availableTaskCount;
+ (OFConstant *)availableTaskDurationFilterIdentifiers;
+ (OFConstant *)availableTaskFlaggedFilterIdentifiers;
+ (OFConstant *)availableTaskStateFilterIdentifiers;
+ (OFConstant *)availableViewModeIdentifiers;
+ (OFConstant *)b;
+ (OFConstant *)best;
+ (OFConstant *)blocked;
+ (OFConstant *)boolean;
+ (OFConstant *)boundingRectangle;
+ (OFConstant *)bounds;
+ (OFConstant *)buildNumber;
+ (OFConstant *)c;
+ (OFConstant *)canRedo;
+ (OFConstant *)canUndo;
+ (OFConstant *)catalog;
+ (OFConstant *)centimeters;
+ (OFConstant *)character;
+ (OFConstant *)classInfo;
+ (OFConstant *)class_;
+ (OFConstant *)closeable;
+ (OFConstant *)collating;
+ (OFConstant *)color;
+ (OFConstant *)colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue;
+ (OFConstant *)colorTable;
+ (OFConstant *)completed;
+ (OFConstant *)completedByChildren;
+ (OFConstant *)completionDate;
+ (OFConstant *)completionMatch;
+ (OFConstant *)compressesTransactions;
+ (OFConstant *)container;
+ (OFConstant *)containingDocument;
+ (OFConstant *)containingProject;
+ (OFConstant *)content;
+ (OFConstant *)contentTree;
+ (OFConstant *)context;
+ (OFConstant *)contextOrMissingValue;
+ (OFConstant *)copies;
+ (OFConstant *)creationDate;
+ (OFConstant *)cubicCentimeters;
+ (OFConstant *)cubicFeet;
+ (OFConstant *)cubicInches;
+ (OFConstant *)cubicMeters;
+ (OFConstant *)cubicYards;
+ (OFConstant *)dashStyle;
+ (OFConstant *)data;
+ (OFConstant *)date;
+ (OFConstant *)dateOrMissingValue;
+ (OFConstant *)decimalStruct;
+ (OFConstant *)defaultDocument;
+ (OFConstant *)defaultSingletonActionHolder;
+ (OFConstant *)defaultValue;
+ (OFConstant *)definingStyle;
+ (OFConstant *)degreesCelsius;
+ (OFConstant *)degreesFahrenheit;
+ (OFConstant *)degreesKelvin;
+ (OFConstant *)descendantTree;
+ (OFConstant *)document;
+ (OFConstant *)documentOrQuickEntryTree;
+ (OFConstant *)documentOrQuickEntryTreeOrFolder;
+ (OFConstant *)documentOrQuickEntryTreeOrProjectOrTask;
+ (OFConstant *)documentWindow;
+ (OFConstant *)doubleInteger;
+ (OFConstant *)dueDate;
+ (OFConstant *)effectivelyHidden;
+ (OFConstant *)elementInfo;
+ (OFConstant *)embedded;
+ (OFConstant *)encodedString;
+ (OFConstant *)endingPage;
+ (OFConstant *)enumerator;
+ (OFConstant *)errorHandling;
+ (OFConstant *)estimatedMinutes;
+ (OFConstant *)eventInfo;
+ (OFConstant *)expanded;
+ (OFConstant *)extendedFloat;
+ (OFConstant *)faxNumber;
+ (OFConstant *)feet;
+ (OFConstant *)file;
+ (OFConstant *)fileAttachment;
+ (OFConstant *)fileName;
+ (OFConstant *)fileOrListOfFile;
+ (OFConstant *)fileRef;
+ (OFConstant *)fileSpecification;
+ (OFConstant *)fileURL;
+ (OFConstant *)fixed;
+ (OFConstant *)fixedPoint;
+ (OFConstant *)fixedRectangle;
+ (OFConstant *)fixed_;
+ (OFConstant *)flagged;
+ (OFConstant *)flattenedContext;
+ (OFConstant *)flattenedFolder;
+ (OFConstant *)flattenedProject;
+ (OFConstant *)flattenedTask;
+ (OFConstant *)float128bit;
+ (OFConstant *)float_;
+ (OFConstant *)focus;
+ (OFConstant *)focusSections;
+ (OFConstant *)folder;
+ (OFConstant *)folderOrMissingValue;
+ (OFConstant *)followingSibling;
+ (OFConstant *)font;
+ (OFConstant *)frontmost;
+ (OFConstant *)g;
+ (OFConstant *)gallons;
+ (OFConstant *)geocode;
+ (OFConstant *)geocodeOrMissingValue;
+ (OFConstant *)grams;
+ (OFConstant *)graphicText;
+ (OFConstant *)h;
+ (OFConstant *)hidden;
+ (OFConstant *)id_;
+ (OFConstant *)inInbox;
+ (OFConstant *)inbox;
+ (OFConstant *)inboxTask;
+ (OFConstant *)inboxTree;
+ (OFConstant *)inches;
+ (OFConstant *)includesSummaries;
+ (OFConstant *)index;
+ (OFConstant *)integer;
+ (OFConstant *)integerOrMissingValue;
+ (OFConstant *)internationalText;
+ (OFConstant *)internationalWritingCode;
+ (OFConstant *)item;
+ (OFConstant *)k;
+ (OFConstant *)kernelProcessID;
+ (OFConstant *)kilograms;
+ (OFConstant *)kilometers;
+ (OFConstant *)lastReviewDate;
+ (OFConstant *)lastSyncDate;
+ (OFConstant *)lastSyncError;
+ (OFConstant *)latitude;
+ (OFConstant *)leaf;
+ (OFConstant *)library;
+ (OFConstant *)libraryTree;
+ (OFConstant *)list;
+ (OFConstant *)listOfFileOrSpecifier;
+ (OFConstant *)listOfItemOrFocusSectionsOrAny;
+ (OFConstant *)listOfSpecifierOrSpecifier;
+ (OFConstant *)liters;
+ (OFConstant *)location;
+ (OFConstant *)locationReference;
+ (OFConstant *)longFixed;
+ (OFConstant *)longFixedPoint;
+ (OFConstant *)longFixedRectangle;
+ (OFConstant *)longPoint;
+ (OFConstant *)longRectangle;
+ (OFConstant *)longitude;
+ (OFConstant *)m;
+ (OFConstant *)machPort;
+ (OFConstant *)machine;
+ (OFConstant *)machineLocation;
+ (OFConstant *)meters;
+ (OFConstant *)miles;
+ (OFConstant *)minimizable;
+ (OFConstant *)minimized;
+ (OFConstant *)missingValue;
+ (OFConstant *)modificationDate;
+ (OFConstant *)modified;
+ (OFConstant *)name;
+ (OFConstant *)namedStyle;
+ (OFConstant *)nextReviewDate;
+ (OFConstant *)nextTask;
+ (OFConstant *)next_;
+ (OFConstant *)note;
+ (OFConstant *)noteExpanded;
+ (OFConstant *)null;
+ (OFConstant *)numberOfAvailableTasks;
+ (OFConstant *)numberOfCompletedTasks;
+ (OFConstant *)numberOfTasks;
+ (OFConstant *)ounces;
+ (OFConstant *)pagesAcross;
+ (OFConstant *)pagesDown;
+ (OFConstant *)paragraph;
+ (OFConstant *)parameterInfo;
+ (OFConstant *)parentTask;
+ (OFConstant *)pasteboardType;
+ (OFConstant *)path;
+ (OFConstant *)perspective;
+ (OFConstant *)perspectiveName;
+ (OFConstant *)perspectiveNames;
+ (OFConstant *)pixelMapRecord;
+ (OFConstant *)png;
+ (OFConstant *)point;
+ (OFConstant *)point_;
+ (OFConstant *)pounds;
+ (OFConstant *)precedingSibling;
+ (OFConstant *)preference;
+ (OFConstant *)printSettings;
+ (OFConstant *)processSerialNumber;
+ (OFConstant *)project;
+ (OFConstant *)projectOrMissingValue;
+ (OFConstant *)properties;
+ (OFConstant *)property;
+ (OFConstant *)propertyInfo;
+ (OFConstant *)quarts;
+ (OFConstant *)quickEntry;
+ (OFConstant *)quickEntryTree;
+ (OFConstant *)r;
+ (OFConstant *)radius;
+ (OFConstant *)readablePasteboardTypes;
+ (OFConstant *)record;
+ (OFConstant *)reference;
+ (OFConstant *)referenceDate;
+ (OFConstant *)remainingTask;
+ (OFConstant *)remainingTaskCount;
+ (OFConstant *)repetition;
+ (OFConstant *)repetitionInterval;
+ (OFConstant *)repetitionIntervalOrMissingValue;
+ (OFConstant *)resizable;
+ (OFConstant *)reviewInterval;
+ (OFConstant *)richText;
+ (OFConstant *)rootTask;
+ (OFConstant *)rotation;
+ (OFConstant *)s;
+ (OFConstant *)score;
+ (OFConstant *)script;
+ (OFConstant *)searchTerm;
+ (OFConstant *)section;
+ (OFConstant *)selected;
+ (OFConstant *)selectedGroupingIdentifier;
+ (OFConstant *)selectedSmartGroupIdentifier;
+ (OFConstant *)selectedSortingIdentifier;
+ (OFConstant *)selectedTaskDurationFilterIdentifier;
+ (OFConstant *)selectedTaskFlaggedFilterIdentifier;
+ (OFConstant *)selectedTaskStateFilterIdentifier;
+ (OFConstant *)selectedTree;
+ (OFConstant *)selectedViewModeIdentifier;
+ (OFConstant *)sequential;
+ (OFConstant *)setting;
+ (OFConstant *)shortFloat;
+ (OFConstant *)shortInteger;
+ (OFConstant *)sidebar;
+ (OFConstant *)sidebarTree;
+ (OFConstant *)singletonActionHolder;
+ (OFConstant *)size;
+ (OFConstant *)specifierOrListOfSpecifier;
+ (OFConstant *)squareFeet;
+ (OFConstant *)squareKilometers;
+ (OFConstant *)squareMeters;
+ (OFConstant *)squareMiles;
+ (OFConstant *)squareYards;
+ (OFConstant *)startDate;
+ (OFConstant *)startingPage;
+ (OFConstant *)status;
+ (OFConstant *)steps;
+ (OFConstant *)string;
+ (OFConstant *)style;
+ (OFConstant *)styledClipboardText;
+ (OFConstant *)styledText;
+ (OFConstant *)suiteInfo;
+ (OFConstant *)syncing;
+ (OFConstant *)targetPrinter;
+ (OFConstant *)task;
+ (OFConstant *)taskOrMissingValue;
+ (OFConstant *)textOrListOfText;
+ (OFConstant *)textOrRealOrIntegerOrBooleanOrMissingValue;
+ (OFConstant *)textStyleInfo;
+ (OFConstant *)tiff;
+ (OFConstant *)tree;
+ (OFConstant *)typeClass;
+ (OFConstant *)unicodeText;
+ (OFConstant *)unit;
+ (OFConstant *)unsignedInteger;
+ (OFConstant *)utf16Text;
+ (OFConstant *)utf8Text;
+ (OFConstant *)v;
+ (OFConstant *)value;
+ (OFConstant *)version;
+ (OFConstant *)version_;
+ (OFConstant *)visible;
+ (OFConstant *)w;
+ (OFConstant *)willAutosave;
+ (OFConstant *)window;
+ (OFConstant *)word;
+ (OFConstant *)writablePasteboardTypes;
+ (OFConstant *)writingCode;
+ (OFConstant *)x;
+ (OFConstant *)xml;
+ (OFConstant *)y;
+ (OFConstant *)yards;
+ (OFConstant *)zoomable;
+ (OFConstant *)zoomed;
@end

