/*
 * OFConstantGlue.m
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import "OFConstantGlue.h"

@implementation OFConstant
+ (id)constantWithCode:(OSType)code_ {
    switch (code_) {
        case 'apr ': return [self April];
        case 'aug ': return [self August];
        case 'dec ': return [self December];
        case 'EPS ': return [self EPSPicture];
        case 'feb ': return [self February];
        case 'fri ': return [self Friday];
        case 'GIFf': return [self GIFPicture];
        case 'JPEG': return [self JPEGPicture];
        case 'jan ': return [self January];
        case 'jul ': return [self July];
        case 'jun ': return [self June];
        case 'mar ': return [self March];
        case 'may ': return [self May];
        case 'mon ': return [self Monday];
        case 'nov ': return [self November];
        case 'oct ': return [self October];
        case 'PICT': return [self PICTPicture];
        case 'PNGf': return [self PNGData];
        case 'tr16': return [self RGB16Color];
        case 'tr96': return [self RGB96Color];
        case 'cRGB': return [self RGBColor];
        case 'sat ': return [self Saturday];
        case 'sep ': return [self September];
        case 'sun ': return [self Sunday];
        case 'TIFF': return [self TIFFData];
        case 'thu ': return [self Thursday];
        case 'tue ': return [self Tuesday];
        case 'wed ': return [self Wednesday];
        case 'OSav': return [self a];
        case 'FCPa': return [self active];
        case 'alis': return [self alias];
        case 'FCAs': return [self allowedMailSenders];
        case 'FCNA': return [self allowsNextAction];
        case 0x4f466c5e: return [self altitude];
        case 'OTan': return [self ancestorTree];
        case '****': return [self anything];
        case 'capp': return [self application];
        case 'bund': return [self applicationBundleID];
        case 'rmte': return [self applicationResponses];
        case 'sign': return [self applicationSignature];
        case 'aprl': return [self applicationURL];
        case 'OScA': return [self archive];
        case 'OSAd': return [self archiveData];
        case 'ask ': return [self ask];
        case 'FCAc': return [self assignedContainer];
        case 'atts': return [self attachment];
        case 'OSsa': return [self attribute];
        case 'catr': return [self attributeRun];
        case 'FCGI': return [self availableGroupingIdentifiers];
        case 'FCSI': return [self availableSmartGroupIdentifiers];
        case 0x46435e49: return [self availableSortingIdentifiers];
        case 'FCat': return [self availableTask];
        case 0x46436123: return [self availableTaskCount];
        case 'FCFI': return [self availableTaskDurationFilterIdentifiers];
        case 'FCFF': return [self availableTaskFlaggedFilterIdentifiers];
        case 0x46433f49: return [self availableTaskStateFilterIdentifiers];
        case 'FCVM': return [self availableViewModeIdentifiers];
        case 'OSbv': return [self b];
        case 'best': return [self best];
        case 'FCBl': return [self blocked];
        case 'bool': return [self boolean];
        case 'qdrt': return [self boundingRectangle];
        case 'pbnd': return [self bounds];
        case 'FCbn': return [self buildNumber];
        case 'OScv': return [self c];
        case 'FCcr': return [self canRedo];
        case 'FCcu': return [self canUndo];
        case 'case': return [self case_];
        case 'OScC': return [self catalog];
        case 'cmtr': return [self centimeters];
        case 'cha ': return [self character];
        case 'gcli': return [self classInfo];
        case 'pcls': return [self class_];
        case 'hclb': return [self closeable];
        case 'lwcl': return [self collating];
        case 'colr': return [self color];
        case 'OSco': return [self color];
        case 'cctB': return [self colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue];
        case 'clrt': return [self colorTable];
        case 'FCcd': return [self completed];
        case 'FCbc': return [self completedByChildren];
        case 'FCdc': return [self completionDate];
        case 'FCCM': return [self completionMatch];
        case 'FCCX': return [self compressesTransactions];
        case 'ctnr': return [self container];
        case 'FCCo': return [self containingDocument];
        case 'FCPr': return [self containingProject];
        case 'FCcn': return [self content];
        case 'FCCt': return [self contentTree];
        case 'FCct': return [self context];
        case 0x6363743b: return [self contextOrMissingValue];
        case 'lwcp': return [self copies];
        case 'FCDa': return [self creationDate];
        case 'ccmt': return [self cubicCentimeters];
        case 'cfet': return [self cubicFeet];
        case 'cuin': return [self cubicInches];
        case 'cmet': return [self cubicMeters];
        case 'cyrd': return [self cubicYards];
        case 'tdas': return [self dashStyle];
        case 'rdat': return [self data];
        case 'ldt ': return [self date];
        case 0x6363743c: return [self dateOrMissingValue];
        case 'FCId': return [self day];
        case 'decm': return [self decimalStruct];
        case 'FCDo': return [self defaultDocument];
        case 0x4643642e: return [self defaultSingletonActionHolder];
        case 'OFdv': return [self defaultValue];
        case 'OSdv': return [self defaultValue];
        case 'OSds': return [self definingStyle];
        case 'degc': return [self degreesCelsius];
        case 'degf': return [self degreesFahrenheit];
        case 'degk': return [self degreesKelvin];
        case 'OTds': return [self descendantTree];
        case 'lwdt': return [self detailed];
        case 'diac': return [self diacriticals];
        case 'docu': return [self document];
        case 'cct6': return [self documentOrQuickEntryTree];
        case 'cct5': return [self documentOrQuickEntryTreeOrFolder];
        case 0x6363743a: return [self documentOrQuickEntryTreeOrProjectOrTask];
        case 'FCdw': return [self documentWindow];
        case 'FCPd': return [self done];
        case 'comp': return [self doubleInteger];
        case 'FCPD': return [self dropped];
        case 'FCDd': return [self dueDate];
        case 'FCHe': return [self effectivelyHidden];
        case 'elin': return [self elementInfo];
        case 'OSin': return [self embedded];
        case 'encs': return [self encodedString];
        case 'lwlp': return [self endingPage];
        case 'enum': return [self enumerator];
        case 'lweh': return [self errorHandling];
        case 'FCEM': return [self estimatedMinutes];
        case 'evin': return [self eventInfo];
        case 0x4f54783f: return [self expanded];
        case 'expa': return [self expansion];
        case 'exte': return [self extendedFloat];
        case 'faxn': return [self faxNumber];
        case 'feet': return [self feet];
        case 'file': return [self file];
        case 'OSfA': return [self fileAttachment];
        case 'atfn': return [self fileName];
        case 'cct0': return [self fileOrListOfFile];
        case 'fsrf': return [self fileRef];
        case 'fss ': return [self fileSpecification];
        case 'furl': return [self fileURL];
        case 'fixd': return [self fixed];
        case 'fpnt': return [self fixedPoint];
        case 'frct': return [self fixedRectangle];
        case 'FCIf': return [self fixed_];
        case 'FCfl': return [self flagged];
        case 'FCfc': return [self flattenedContext];
        case 'FCff': return [self flattenedFolder];
        case 'FCfx': return [self flattenedProject];
        case 'FCft': return [self flattenedTask];
        case 'ldbl': return [self float128bit];
        case 'doub': return [self float_];
        case 'FCFs': return [self focus];
        case 'FCFS': return [self focusSections];
        case 'FCAr': return [self folder];
        case 'cct9': return [self folderOrMissingValue];
        case 'OTfs': return [self followingSibling];
        case 'font': return [self font];
        case 'pisf': return [self frontmost];
        case 'OSgv': return [self g];
        case 'galn': return [self gallons];
        case 'FCgc': return [self geocode];
        case 'cct7': return [self geocodeOrMissingValue];
        case 'gram': return [self grams];
        case 'cgtx': return [self graphicText];
        case 'OShv': return [self h];
        case 'FCHi': return [self hidden];
        case 'FCIH': return [self hour];
        case 'hyph': return [self hyphens];
        case 'ID  ': return [self id_];
        case 'FCIi': return [self inInbox];
        case 'FCIb': return [self inbox];
        case 'FCit': return [self inboxTask];
        case 'FCIs': return [self inboxTree];
        case 'inch': return [self inches];
        case 0x46432b53: return [self includesSummaries];
        case 'pidx': return [self index];
        case 'long': return [self integer];
        case 0x6363743d: return [self integerOrMissingValue];
        case 'itxt': return [self internationalText];
        case 'intl': return [self internationalWritingCode];
        case 'cobj': return [self item];
        case 'OSyk': return [self k];
        case 'kpid': return [self kernelProcessID];
        case 'kgrm': return [self kilograms];
        case 'kmtr': return [self kilometers];
        case 'FCDr': return [self lastReviewDate];
        case 'FCsd': return [self lastSyncDate];
        case 'FCse': return [self lastSyncError];
        case 'OFly': return [self latitude];
        case 'OTlf': return [self leaf];
        case 'FCLb': return [self library];
        case 'FCLt': return [self libraryTree];
        case 'list': return [self list];
        case 'cct1': return [self listOfFileOrSpecifier];
        case 'cct3': return [self listOfItemOrFocusSectionsOrAny];
        case 0x63637440: return [self listOfSpecifierOrSpecifier];
        case 'litr': return [self liters];
        case 'FClo': return [self location];
        case 'insl': return [self locationReference];
        case 'lfxd': return [self longFixed];
        case 'lfpt': return [self longFixedPoint];
        case 'lfrc': return [self longFixedRectangle];
        case 'lpnt': return [self longPoint];
        case 'lrct': return [self longRectangle];
        case 'OFlx': return [self longitude];
        case 'OSym': return [self m];
        case 'port': return [self machPort];
        case 'mach': return [self machine];
        case 'mLoc': return [self machineLocation];
        case 'metr': return [self meters];
        case 'mile': return [self miles];
        case 'ismn': return [self minimizable];
        case 'pmnd': return [self minimized];
        case 'FCIM': return [self minute];
        case 'msng': return [self missingValue];
        case 'FCDm': return [self modificationDate];
        case 'imod': return [self modified];
        case 'FCIm': return [self month];
        case 'pnam': return [self name];
        case 'OSns': return [self namedStyle];
        case 'FCDR': return [self nextReviewDate];
        case 'FCna': return [self nextTask];
        case 'FCnx': return [self next_];
        case 'no  ': return [self no];
        case 'FCno': return [self note];
        case 0x4f4e783f: return [self noteExpanded];
        case 'null': return [self null];
        case 0x46432361: return [self numberOfAvailableTasks];
        case 0x46432363: return [self numberOfCompletedTasks];
        case 0x46432374: return [self numberOfTasks];
        case 'nume': return [self numericStrings];
        case 'FCPh': return [self onHold];
        case 'ozs ': return [self ounces];
        case 'lwla': return [self pagesAcross];
        case 'lwld': return [self pagesDown];
        case 'cpar': return [self paragraph];
        case 'pmin': return [self parameterInfo];
        case 'FCPt': return [self parentTask];
        case 'OTPT': return [self pasteboardType];
        case 'ppth': return [self path];
        case 'FCoo': return [self perspective];
        case 'FCPn': return [self perspectiveName];
        case 'FPSn': return [self perspectiveNames];
        case 'tpmm': return [self pixelMapRecord];
        case 'OScp': return [self png];
        case 'QDpt': return [self point];
        case 'OSpt': return [self point_];
        case 'lbs ': return [self pounds];
        case 'OTps': return [self precedingSibling];
        case 'OFpf': return [self preference];
        case 'pset': return [self printSettings];
        case 'psn ': return [self processSerialNumber];
        case 'FCpr': return [self project];
        case 0x6363743f: return [self projectOrMissingValue];
        case 'pALL': return [self properties];
        case 'prop': return [self property];
        case 'pinf': return [self propertyInfo];
        case 'punc': return [self punctuation];
        case 'qrts': return [self quarts];
        case 'FCQE': return [self quickEntry];
        case 'FCQw': return [self quickEntryTree];
        case 'OSrv': return [self r];
        case 'OFlO': return [self radius];
        case 'OTRP': return [self readablePasteboardTypes];
        case 'reco': return [self record];
        case 'obj ': return [self reference];
        case 'FCrd': return [self referenceDate];
        case 'FC0T': return [self remainingTask];
        case 0x46437223: return [self remainingTaskCount];
        case 'FCRp': return [self repetition];
        case 'FCRi': return [self repetitionInterval];
        case 0x6363743e: return [self repetitionIntervalOrMissingValue];
        case 'prsz': return [self resizable];
        case 'FCRI': return [self reviewInterval];
        case 'ctxt': return [self richText];
        case 'FCrt': return [self rootTask];
        case 'trot': return [self rotation];
        case 'OSsv': return [self s];
        case 'FCms': return [self score];
        case 'scpt': return [self script];
        case 0x46437e3d: return [self searchTerm];
        case 'FCSX': return [self section];
        case 0x4f54733f: return [self selected];
        case 'FCGi': return [self selectedGroupingIdentifier];
        case 'FCSs': return [self selectedSmartGroupIdentifier];
        case 0x46435e69: return [self selectedSortingIdentifier];
        case 'FCFi': return [self selectedTaskDurationFilterIdentifier];
        case 'FCFf': return [self selectedTaskFlaggedFilterIdentifier];
        case 0x46433f69: return [self selectedTaskStateFilterIdentifier];
        case 'OTst': return [self selectedTree];
        case 'FCvm': return [self selectedViewModeIdentifier];
        case 'FCsq': return [self sequential];
        case 'FCpf': return [self setting];
        case 'sing': return [self shortFloat];
        case 'shor': return [self shortInteger];
        case 'FCSt': return [self sidebar];
        case 'FCst': return [self sidebarTree];
        case 0x46432e41: return [self singletonActionHolder];
        case 'ptsz': return [self size];
        case 'cct2': return [self specifierOrListOfSpecifier];
        case 'sqft': return [self squareFeet];
        case 'sqkm': return [self squareKilometers];
        case 'sqrm': return [self squareMeters];
        case 'sqmi': return [self squareMiles];
        case 'sqyd': return [self squareYards];
        case 'lwst': return [self standard];
        case 'FCDs': return [self startDate];
        case 'lwfp': return [self startingPage];
        case 'FCPs': return [self status];
        case 'FCIn': return [self steps];
        case 'TEXT': return [self string];
        case 'OSst': return [self style];
        case 'styl': return [self styledClipboardText];
        case 'STXT': return [self styledText];
        case 'suin': return [self suiteInfo];
        case 'FCsp': return [self syncing];
        case 'trpr': return [self targetPrinter];
        case 'FCac': return [self task];
        case 'cct8': return [self taskOrMissingValue];
        case 'cctA': return [self textOrListOfText];
        case 'cct4': return [self textOrRealOrIntegerOrBooleanOrMissingValue];
        case 'tsty': return [self textStyleInfo];
        case 'OSct': return [self tiff];
        case 'OTtr': return [self tree];
        case 'type': return [self typeClass];
        case 'utxt': return [self unicodeText];
        case 'FCIu': return [self unit];
        case 'magn': return [self unsignedInteger];
        case 'ut16': return [self utf16Text];
        case 'utf8': return [self utf8Text];
        case 'OSvv': return [self v];
        case 'valL': return [self value];
        case 'vers': return [self version_];
        case 'pvis': return [self visible];
        case 'OSwv': return [self w];
        case 'FCIw': return [self week];
        case 'whit': return [self whitespace];
        case 'FCwa': return [self willAutosave];
        case 'cwin': return [self window];
        case 'cwor': return [self word];
        case 'OTWP': return [self writablePasteboardTypes];
        case 'psct': return [self writingCode];
        case 'OSxv': return [self x];
        case 'FCxm': return [self xml];
        case 'OSyv': return [self y];
        case 'yard': return [self yards];
        case 'FCIy': return [self year];
        case 'yes ': return [self yes];
        case 'iszm': return [self zoomable];
        case 'pzum': return [self zoomed];
        default: return [[self superclass] constantWithCode: code_];
    }
}


/* Enumerators */

+ (OFConstant *)active {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"active" type: typeEnumerated code: 'FCPa'];
    return constantObj;
}

+ (OFConstant *)applicationResponses {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"applicationResponses" type: typeEnumerated code: 'rmte'];
    return constantObj;
}

+ (OFConstant *)ask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"ask" type: typeEnumerated code: 'ask '];
    return constantObj;
}

+ (OFConstant *)case_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"case_" type: typeEnumerated code: 'case'];
    return constantObj;
}

+ (OFConstant *)day {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"day" type: typeEnumerated code: 'FCId'];
    return constantObj;
}

+ (OFConstant *)detailed {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"detailed" type: typeEnumerated code: 'lwdt'];
    return constantObj;
}

+ (OFConstant *)diacriticals {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"diacriticals" type: typeEnumerated code: 'diac'];
    return constantObj;
}

+ (OFConstant *)done {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"done" type: typeEnumerated code: 'FCPd'];
    return constantObj;
}

+ (OFConstant *)dropped {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"dropped" type: typeEnumerated code: 'FCPD'];
    return constantObj;
}

+ (OFConstant *)expansion {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"expansion" type: typeEnumerated code: 'expa'];
    return constantObj;
}

+ (OFConstant *)hour {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"hour" type: typeEnumerated code: 'FCIH'];
    return constantObj;
}

+ (OFConstant *)hyphens {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"hyphens" type: typeEnumerated code: 'hyph'];
    return constantObj;
}

+ (OFConstant *)minute {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"minute" type: typeEnumerated code: 'FCIM'];
    return constantObj;
}

+ (OFConstant *)month {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"month" type: typeEnumerated code: 'FCIm'];
    return constantObj;
}

+ (OFConstant *)no {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"no" type: typeEnumerated code: 'no  '];
    return constantObj;
}

+ (OFConstant *)numericStrings {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"numericStrings" type: typeEnumerated code: 'nume'];
    return constantObj;
}

+ (OFConstant *)onHold {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"onHold" type: typeEnumerated code: 'FCPh'];
    return constantObj;
}

+ (OFConstant *)punctuation {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"punctuation" type: typeEnumerated code: 'punc'];
    return constantObj;
}

+ (OFConstant *)standard {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"standard" type: typeEnumerated code: 'lwst'];
    return constantObj;
}

+ (OFConstant *)week {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"week" type: typeEnumerated code: 'FCIw'];
    return constantObj;
}

+ (OFConstant *)whitespace {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"whitespace" type: typeEnumerated code: 'whit'];
    return constantObj;
}

+ (OFConstant *)year {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"year" type: typeEnumerated code: 'FCIy'];
    return constantObj;
}

+ (OFConstant *)yes {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"yes" type: typeEnumerated code: 'yes '];
    return constantObj;
}


/* Types and properties */

+ (OFConstant *)April {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"April" type: typeType code: 'apr '];
    return constantObj;
}

+ (OFConstant *)August {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"August" type: typeType code: 'aug '];
    return constantObj;
}

+ (OFConstant *)December {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"December" type: typeType code: 'dec '];
    return constantObj;
}

+ (OFConstant *)EPSPicture {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"EPSPicture" type: typeType code: 'EPS '];
    return constantObj;
}

+ (OFConstant *)February {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"February" type: typeType code: 'feb '];
    return constantObj;
}

+ (OFConstant *)Friday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Friday" type: typeType code: 'fri '];
    return constantObj;
}

+ (OFConstant *)GIFPicture {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"GIFPicture" type: typeType code: 'GIFf'];
    return constantObj;
}

+ (OFConstant *)JPEGPicture {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"JPEGPicture" type: typeType code: 'JPEG'];
    return constantObj;
}

+ (OFConstant *)January {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"January" type: typeType code: 'jan '];
    return constantObj;
}

+ (OFConstant *)July {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"July" type: typeType code: 'jul '];
    return constantObj;
}

+ (OFConstant *)June {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"June" type: typeType code: 'jun '];
    return constantObj;
}

+ (OFConstant *)March {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"March" type: typeType code: 'mar '];
    return constantObj;
}

+ (OFConstant *)May {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"May" type: typeType code: 'may '];
    return constantObj;
}

+ (OFConstant *)Monday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Monday" type: typeType code: 'mon '];
    return constantObj;
}

+ (OFConstant *)November {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"November" type: typeType code: 'nov '];
    return constantObj;
}

+ (OFConstant *)October {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"October" type: typeType code: 'oct '];
    return constantObj;
}

+ (OFConstant *)PICTPicture {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"PICTPicture" type: typeType code: 'PICT'];
    return constantObj;
}

+ (OFConstant *)PNGData {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"PNGData" type: typeType code: 'PNGf'];
    return constantObj;
}

+ (OFConstant *)RGB16Color {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"RGB16Color" type: typeType code: 'tr16'];
    return constantObj;
}

+ (OFConstant *)RGB96Color {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"RGB96Color" type: typeType code: 'tr96'];
    return constantObj;
}

+ (OFConstant *)RGBColor {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"RGBColor" type: typeType code: 'cRGB'];
    return constantObj;
}

+ (OFConstant *)Saturday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Saturday" type: typeType code: 'sat '];
    return constantObj;
}

+ (OFConstant *)September {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"September" type: typeType code: 'sep '];
    return constantObj;
}

+ (OFConstant *)Sunday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Sunday" type: typeType code: 'sun '];
    return constantObj;
}

+ (OFConstant *)TIFFData {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"TIFFData" type: typeType code: 'TIFF'];
    return constantObj;
}

+ (OFConstant *)TIFFPicture {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"TIFFPicture" type: typeType code: 'TIFF'];
    return constantObj;
}

+ (OFConstant *)Thursday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Thursday" type: typeType code: 'thu '];
    return constantObj;
}

+ (OFConstant *)Tuesday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Tuesday" type: typeType code: 'tue '];
    return constantObj;
}

+ (OFConstant *)Wednesday {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"Wednesday" type: typeType code: 'wed '];
    return constantObj;
}

+ (OFConstant *)a {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"a" type: typeType code: 'OSav'];
    return constantObj;
}

+ (OFConstant *)alias {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"alias" type: typeType code: 'alis'];
    return constantObj;
}

+ (OFConstant *)allowedMailSenders {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"allowedMailSenders" type: typeType code: 'FCAs'];
    return constantObj;
}

+ (OFConstant *)allowsNextAction {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"allowsNextAction" type: typeType code: 'FCNA'];
    return constantObj;
}

+ (OFConstant *)altitude {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"altitude" type: typeType code: 0x4f466c5e];
    return constantObj;
}

+ (OFConstant *)ancestorTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"ancestorTree" type: typeType code: 'OTan'];
    return constantObj;
}

+ (OFConstant *)anything {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"anything" type: typeType code: '****'];
    return constantObj;
}

+ (OFConstant *)application {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"application" type: typeType code: 'capp'];
    return constantObj;
}

+ (OFConstant *)applicationBundleID {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"applicationBundleID" type: typeType code: 'bund'];
    return constantObj;
}

+ (OFConstant *)applicationSignature {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"applicationSignature" type: typeType code: 'sign'];
    return constantObj;
}

+ (OFConstant *)applicationURL {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"applicationURL" type: typeType code: 'aprl'];
    return constantObj;
}

+ (OFConstant *)archive {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"archive" type: typeType code: 'OScA'];
    return constantObj;
}

+ (OFConstant *)archiveData {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"archiveData" type: typeType code: 'OSAd'];
    return constantObj;
}

+ (OFConstant *)assignedContainer {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"assignedContainer" type: typeType code: 'FCAc'];
    return constantObj;
}

+ (OFConstant *)attachment {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"attachment" type: typeType code: 'atts'];
    return constantObj;
}

+ (OFConstant *)attribute {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"attribute" type: typeType code: 'OSsa'];
    return constantObj;
}

+ (OFConstant *)attributeRun {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"attributeRun" type: typeType code: 'catr'];
    return constantObj;
}

+ (OFConstant *)availableGroupingIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableGroupingIdentifiers" type: typeType code: 'FCGI'];
    return constantObj;
}

+ (OFConstant *)availableSmartGroupIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableSmartGroupIdentifiers" type: typeType code: 'FCSI'];
    return constantObj;
}

+ (OFConstant *)availableSortingIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableSortingIdentifiers" type: typeType code: 0x46435e49];
    return constantObj;
}

+ (OFConstant *)availableTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableTask" type: typeType code: 'FCat'];
    return constantObj;
}

+ (OFConstant *)availableTaskCount {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableTaskCount" type: typeType code: 0x46436123];
    return constantObj;
}

+ (OFConstant *)availableTaskDurationFilterIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableTaskDurationFilterIdentifiers" type: typeType code: 'FCFI'];
    return constantObj;
}

+ (OFConstant *)availableTaskFlaggedFilterIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableTaskFlaggedFilterIdentifiers" type: typeType code: 'FCFF'];
    return constantObj;
}

+ (OFConstant *)availableTaskStateFilterIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableTaskStateFilterIdentifiers" type: typeType code: 0x46433f49];
    return constantObj;
}

+ (OFConstant *)availableViewModeIdentifiers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"availableViewModeIdentifiers" type: typeType code: 'FCVM'];
    return constantObj;
}

+ (OFConstant *)b {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"b" type: typeType code: 'OSbv'];
    return constantObj;
}

+ (OFConstant *)best {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"best" type: typeType code: 'best'];
    return constantObj;
}

+ (OFConstant *)blocked {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"blocked" type: typeType code: 'FCBl'];
    return constantObj;
}

+ (OFConstant *)boolean {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"boolean" type: typeType code: 'bool'];
    return constantObj;
}

+ (OFConstant *)boundingRectangle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"boundingRectangle" type: typeType code: 'qdrt'];
    return constantObj;
}

+ (OFConstant *)bounds {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"bounds" type: typeType code: 'pbnd'];
    return constantObj;
}

+ (OFConstant *)buildNumber {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"buildNumber" type: typeType code: 'FCbn'];
    return constantObj;
}

+ (OFConstant *)c {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"c" type: typeType code: 'OScv'];
    return constantObj;
}

+ (OFConstant *)canRedo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"canRedo" type: typeType code: 'FCcr'];
    return constantObj;
}

+ (OFConstant *)canUndo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"canUndo" type: typeType code: 'FCcu'];
    return constantObj;
}

+ (OFConstant *)catalog {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"catalog" type: typeType code: 'OScC'];
    return constantObj;
}

+ (OFConstant *)centimeters {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"centimeters" type: typeType code: 'cmtr'];
    return constantObj;
}

+ (OFConstant *)character {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"character" type: typeType code: 'cha '];
    return constantObj;
}

+ (OFConstant *)classInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"classInfo" type: typeType code: 'gcli'];
    return constantObj;
}

+ (OFConstant *)class_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"class_" type: typeType code: 'pcls'];
    return constantObj;
}

+ (OFConstant *)closeable {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"closeable" type: typeType code: 'hclb'];
    return constantObj;
}

+ (OFConstant *)collating {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"collating" type: typeType code: 'lwcl'];
    return constantObj;
}

+ (OFConstant *)color {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"color" type: typeType code: 'OSco'];
    return constantObj;
}

+ (OFConstant *)colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue" type: typeType code: 'cctB'];
    return constantObj;
}

+ (OFConstant *)colorTable {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"colorTable" type: typeType code: 'clrt'];
    return constantObj;
}

+ (OFConstant *)completed {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"completed" type: typeType code: 'FCcd'];
    return constantObj;
}

+ (OFConstant *)completedByChildren {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"completedByChildren" type: typeType code: 'FCbc'];
    return constantObj;
}

+ (OFConstant *)completionDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"completionDate" type: typeType code: 'FCdc'];
    return constantObj;
}

+ (OFConstant *)completionMatch {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"completionMatch" type: typeType code: 'FCCM'];
    return constantObj;
}

+ (OFConstant *)compressesTransactions {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"compressesTransactions" type: typeType code: 'FCCX'];
    return constantObj;
}

+ (OFConstant *)container {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"container" type: typeType code: 'ctnr'];
    return constantObj;
}

+ (OFConstant *)containingDocument {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"containingDocument" type: typeType code: 'FCCo'];
    return constantObj;
}

+ (OFConstant *)containingProject {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"containingProject" type: typeType code: 'FCPr'];
    return constantObj;
}

+ (OFConstant *)content {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"content" type: typeType code: 'FCcn'];
    return constantObj;
}

+ (OFConstant *)contentTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"contentTree" type: typeType code: 'FCCt'];
    return constantObj;
}

+ (OFConstant *)context {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"context" type: typeType code: 'FCct'];
    return constantObj;
}

+ (OFConstant *)contextOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"contextOrMissingValue" type: typeType code: 0x6363743b];
    return constantObj;
}

+ (OFConstant *)copies {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"copies" type: typeType code: 'lwcp'];
    return constantObj;
}

+ (OFConstant *)creationDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"creationDate" type: typeType code: 'FCDa'];
    return constantObj;
}

+ (OFConstant *)cubicCentimeters {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"cubicCentimeters" type: typeType code: 'ccmt'];
    return constantObj;
}

+ (OFConstant *)cubicFeet {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"cubicFeet" type: typeType code: 'cfet'];
    return constantObj;
}

+ (OFConstant *)cubicInches {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"cubicInches" type: typeType code: 'cuin'];
    return constantObj;
}

+ (OFConstant *)cubicMeters {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"cubicMeters" type: typeType code: 'cmet'];
    return constantObj;
}

+ (OFConstant *)cubicYards {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"cubicYards" type: typeType code: 'cyrd'];
    return constantObj;
}

+ (OFConstant *)dashStyle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"dashStyle" type: typeType code: 'tdas'];
    return constantObj;
}

+ (OFConstant *)data {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"data" type: typeType code: 'rdat'];
    return constantObj;
}

+ (OFConstant *)date {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"date" type: typeType code: 'ldt '];
    return constantObj;
}

+ (OFConstant *)dateOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"dateOrMissingValue" type: typeType code: 0x6363743c];
    return constantObj;
}

+ (OFConstant *)decimalStruct {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"decimalStruct" type: typeType code: 'decm'];
    return constantObj;
}

+ (OFConstant *)defaultDocument {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"defaultDocument" type: typeType code: 'FCDo'];
    return constantObj;
}

+ (OFConstant *)defaultSingletonActionHolder {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"defaultSingletonActionHolder" type: typeType code: 0x4643642e];
    return constantObj;
}

+ (OFConstant *)defaultValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"defaultValue" type: typeType code: 'OFdv'];
    return constantObj;
}

+ (OFConstant *)definingStyle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"definingStyle" type: typeType code: 'OSds'];
    return constantObj;
}

+ (OFConstant *)degreesCelsius {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"degreesCelsius" type: typeType code: 'degc'];
    return constantObj;
}

+ (OFConstant *)degreesFahrenheit {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"degreesFahrenheit" type: typeType code: 'degf'];
    return constantObj;
}

+ (OFConstant *)degreesKelvin {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"degreesKelvin" type: typeType code: 'degk'];
    return constantObj;
}

+ (OFConstant *)descendantTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"descendantTree" type: typeType code: 'OTds'];
    return constantObj;
}

+ (OFConstant *)document {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"document" type: typeType code: 'docu'];
    return constantObj;
}

+ (OFConstant *)documentOrQuickEntryTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"documentOrQuickEntryTree" type: typeType code: 'cct6'];
    return constantObj;
}

+ (OFConstant *)documentOrQuickEntryTreeOrFolder {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"documentOrQuickEntryTreeOrFolder" type: typeType code: 'cct5'];
    return constantObj;
}

+ (OFConstant *)documentOrQuickEntryTreeOrProjectOrTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"documentOrQuickEntryTreeOrProjectOrTask" type: typeType code: 0x6363743a];
    return constantObj;
}

+ (OFConstant *)documentWindow {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"documentWindow" type: typeType code: 'FCdw'];
    return constantObj;
}

+ (OFConstant *)doubleInteger {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"doubleInteger" type: typeType code: 'comp'];
    return constantObj;
}

+ (OFConstant *)dueDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"dueDate" type: typeType code: 'FCDd'];
    return constantObj;
}

+ (OFConstant *)effectivelyHidden {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"effectivelyHidden" type: typeType code: 'FCHe'];
    return constantObj;
}

+ (OFConstant *)elementInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"elementInfo" type: typeType code: 'elin'];
    return constantObj;
}

+ (OFConstant *)embedded {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"embedded" type: typeType code: 'OSin'];
    return constantObj;
}

+ (OFConstant *)encodedString {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"encodedString" type: typeType code: 'encs'];
    return constantObj;
}

+ (OFConstant *)endingPage {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"endingPage" type: typeType code: 'lwlp'];
    return constantObj;
}

+ (OFConstant *)enumerator {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"enumerator" type: typeType code: 'enum'];
    return constantObj;
}

+ (OFConstant *)errorHandling {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"errorHandling" type: typeType code: 'lweh'];
    return constantObj;
}

+ (OFConstant *)estimatedMinutes {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"estimatedMinutes" type: typeType code: 'FCEM'];
    return constantObj;
}

+ (OFConstant *)eventInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"eventInfo" type: typeType code: 'evin'];
    return constantObj;
}

+ (OFConstant *)expanded {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"expanded" type: typeType code: 0x4f54783f];
    return constantObj;
}

+ (OFConstant *)extendedFloat {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"extendedFloat" type: typeType code: 'exte'];
    return constantObj;
}

+ (OFConstant *)faxNumber {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"faxNumber" type: typeType code: 'faxn'];
    return constantObj;
}

+ (OFConstant *)feet {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"feet" type: typeType code: 'feet'];
    return constantObj;
}

+ (OFConstant *)file {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"file" type: typeType code: 'file'];
    return constantObj;
}

+ (OFConstant *)fileAttachment {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fileAttachment" type: typeType code: 'OSfA'];
    return constantObj;
}

+ (OFConstant *)fileName {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fileName" type: typeType code: 'atfn'];
    return constantObj;
}

+ (OFConstant *)fileOrListOfFile {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fileOrListOfFile" type: typeType code: 'cct0'];
    return constantObj;
}

+ (OFConstant *)fileRef {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fileRef" type: typeType code: 'fsrf'];
    return constantObj;
}

+ (OFConstant *)fileSpecification {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fileSpecification" type: typeType code: 'fss '];
    return constantObj;
}

+ (OFConstant *)fileURL {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fileURL" type: typeType code: 'furl'];
    return constantObj;
}

+ (OFConstant *)fixed {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fixed" type: typeType code: 'fixd'];
    return constantObj;
}

+ (OFConstant *)fixedPoint {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fixedPoint" type: typeType code: 'fpnt'];
    return constantObj;
}

+ (OFConstant *)fixedRectangle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fixedRectangle" type: typeType code: 'frct'];
    return constantObj;
}

+ (OFConstant *)fixed_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"fixed_" type: typeType code: 'FCIf'];
    return constantObj;
}

+ (OFConstant *)flagged {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"flagged" type: typeType code: 'FCfl'];
    return constantObj;
}

+ (OFConstant *)flattenedContext {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"flattenedContext" type: typeType code: 'FCfc'];
    return constantObj;
}

+ (OFConstant *)flattenedFolder {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"flattenedFolder" type: typeType code: 'FCff'];
    return constantObj;
}

+ (OFConstant *)flattenedProject {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"flattenedProject" type: typeType code: 'FCfx'];
    return constantObj;
}

+ (OFConstant *)flattenedTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"flattenedTask" type: typeType code: 'FCft'];
    return constantObj;
}

+ (OFConstant *)float128bit {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"float128bit" type: typeType code: 'ldbl'];
    return constantObj;
}

+ (OFConstant *)float_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"float_" type: typeType code: 'doub'];
    return constantObj;
}

+ (OFConstant *)focus {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"focus" type: typeType code: 'FCFs'];
    return constantObj;
}

+ (OFConstant *)focusSections {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"focusSections" type: typeType code: 'FCFS'];
    return constantObj;
}

+ (OFConstant *)folder {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"folder" type: typeType code: 'FCAr'];
    return constantObj;
}

+ (OFConstant *)folderOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"folderOrMissingValue" type: typeType code: 'cct9'];
    return constantObj;
}

+ (OFConstant *)followingSibling {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"followingSibling" type: typeType code: 'OTfs'];
    return constantObj;
}

+ (OFConstant *)font {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"font" type: typeType code: 'font'];
    return constantObj;
}

+ (OFConstant *)frontmost {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"frontmost" type: typeType code: 'pisf'];
    return constantObj;
}

+ (OFConstant *)g {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"g" type: typeType code: 'OSgv'];
    return constantObj;
}

+ (OFConstant *)gallons {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"gallons" type: typeType code: 'galn'];
    return constantObj;
}

+ (OFConstant *)geocode {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"geocode" type: typeType code: 'FCgc'];
    return constantObj;
}

+ (OFConstant *)geocodeOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"geocodeOrMissingValue" type: typeType code: 'cct7'];
    return constantObj;
}

+ (OFConstant *)grams {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"grams" type: typeType code: 'gram'];
    return constantObj;
}

+ (OFConstant *)graphicText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"graphicText" type: typeType code: 'cgtx'];
    return constantObj;
}

+ (OFConstant *)h {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"h" type: typeType code: 'OShv'];
    return constantObj;
}

+ (OFConstant *)hidden {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"hidden" type: typeType code: 'FCHi'];
    return constantObj;
}

+ (OFConstant *)id_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"id_" type: typeType code: 'ID  '];
    return constantObj;
}

+ (OFConstant *)inInbox {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"inInbox" type: typeType code: 'FCIi'];
    return constantObj;
}

+ (OFConstant *)inbox {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"inbox" type: typeType code: 'FCIb'];
    return constantObj;
}

+ (OFConstant *)inboxTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"inboxTask" type: typeType code: 'FCit'];
    return constantObj;
}

+ (OFConstant *)inboxTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"inboxTree" type: typeType code: 'FCIs'];
    return constantObj;
}

+ (OFConstant *)inches {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"inches" type: typeType code: 'inch'];
    return constantObj;
}

+ (OFConstant *)includesSummaries {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"includesSummaries" type: typeType code: 0x46432b53];
    return constantObj;
}

+ (OFConstant *)index {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"index" type: typeType code: 'pidx'];
    return constantObj;
}

+ (OFConstant *)integer {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"integer" type: typeType code: 'long'];
    return constantObj;
}

+ (OFConstant *)integerOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"integerOrMissingValue" type: typeType code: 0x6363743d];
    return constantObj;
}

+ (OFConstant *)internationalText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"internationalText" type: typeType code: 'itxt'];
    return constantObj;
}

+ (OFConstant *)internationalWritingCode {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"internationalWritingCode" type: typeType code: 'intl'];
    return constantObj;
}

+ (OFConstant *)item {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"item" type: typeType code: 'cobj'];
    return constantObj;
}

+ (OFConstant *)k {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"k" type: typeType code: 'OSyk'];
    return constantObj;
}

+ (OFConstant *)kernelProcessID {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"kernelProcessID" type: typeType code: 'kpid'];
    return constantObj;
}

+ (OFConstant *)kilograms {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"kilograms" type: typeType code: 'kgrm'];
    return constantObj;
}

+ (OFConstant *)kilometers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"kilometers" type: typeType code: 'kmtr'];
    return constantObj;
}

+ (OFConstant *)lastReviewDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"lastReviewDate" type: typeType code: 'FCDr'];
    return constantObj;
}

+ (OFConstant *)lastSyncDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"lastSyncDate" type: typeType code: 'FCsd'];
    return constantObj;
}

+ (OFConstant *)lastSyncError {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"lastSyncError" type: typeType code: 'FCse'];
    return constantObj;
}

+ (OFConstant *)latitude {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"latitude" type: typeType code: 'OFly'];
    return constantObj;
}

+ (OFConstant *)leaf {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"leaf" type: typeType code: 'OTlf'];
    return constantObj;
}

+ (OFConstant *)library {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"library" type: typeType code: 'FCLb'];
    return constantObj;
}

+ (OFConstant *)libraryTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"libraryTree" type: typeType code: 'FCLt'];
    return constantObj;
}

+ (OFConstant *)list {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"list" type: typeType code: 'list'];
    return constantObj;
}

+ (OFConstant *)listOfFileOrSpecifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"listOfFileOrSpecifier" type: typeType code: 'cct1'];
    return constantObj;
}

+ (OFConstant *)listOfItemOrFocusSectionsOrAny {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"listOfItemOrFocusSectionsOrAny" type: typeType code: 'cct3'];
    return constantObj;
}

+ (OFConstant *)listOfSpecifierOrSpecifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"listOfSpecifierOrSpecifier" type: typeType code: 0x63637440];
    return constantObj;
}

+ (OFConstant *)liters {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"liters" type: typeType code: 'litr'];
    return constantObj;
}

+ (OFConstant *)location {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"location" type: typeType code: 'FClo'];
    return constantObj;
}

+ (OFConstant *)locationReference {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"locationReference" type: typeType code: 'insl'];
    return constantObj;
}

+ (OFConstant *)longFixed {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"longFixed" type: typeType code: 'lfxd'];
    return constantObj;
}

+ (OFConstant *)longFixedPoint {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"longFixedPoint" type: typeType code: 'lfpt'];
    return constantObj;
}

+ (OFConstant *)longFixedRectangle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"longFixedRectangle" type: typeType code: 'lfrc'];
    return constantObj;
}

+ (OFConstant *)longPoint {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"longPoint" type: typeType code: 'lpnt'];
    return constantObj;
}

+ (OFConstant *)longRectangle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"longRectangle" type: typeType code: 'lrct'];
    return constantObj;
}

+ (OFConstant *)longitude {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"longitude" type: typeType code: 'OFlx'];
    return constantObj;
}

+ (OFConstant *)m {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"m" type: typeType code: 'OSym'];
    return constantObj;
}

+ (OFConstant *)machPort {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"machPort" type: typeType code: 'port'];
    return constantObj;
}

+ (OFConstant *)machine {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"machine" type: typeType code: 'mach'];
    return constantObj;
}

+ (OFConstant *)machineLocation {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"machineLocation" type: typeType code: 'mLoc'];
    return constantObj;
}

+ (OFConstant *)meters {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"meters" type: typeType code: 'metr'];
    return constantObj;
}

+ (OFConstant *)miles {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"miles" type: typeType code: 'mile'];
    return constantObj;
}

+ (OFConstant *)minimizable {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"minimizable" type: typeType code: 'ismn'];
    return constantObj;
}

+ (OFConstant *)minimized {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"minimized" type: typeType code: 'pmnd'];
    return constantObj;
}

+ (OFConstant *)missingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"missingValue" type: typeType code: 'msng'];
    return constantObj;
}

+ (OFConstant *)modificationDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"modificationDate" type: typeType code: 'FCDm'];
    return constantObj;
}

+ (OFConstant *)modified {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"modified" type: typeType code: 'imod'];
    return constantObj;
}

+ (OFConstant *)name {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"name" type: typeType code: 'pnam'];
    return constantObj;
}

+ (OFConstant *)namedStyle {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"namedStyle" type: typeType code: 'OSns'];
    return constantObj;
}

+ (OFConstant *)nextReviewDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"nextReviewDate" type: typeType code: 'FCDR'];
    return constantObj;
}

+ (OFConstant *)nextTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"nextTask" type: typeType code: 'FCna'];
    return constantObj;
}

+ (OFConstant *)next_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"next_" type: typeType code: 'FCnx'];
    return constantObj;
}

+ (OFConstant *)note {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"note" type: typeType code: 'FCno'];
    return constantObj;
}

+ (OFConstant *)noteExpanded {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"noteExpanded" type: typeType code: 0x4f4e783f];
    return constantObj;
}

+ (OFConstant *)null {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"null" type: typeType code: 'null'];
    return constantObj;
}

+ (OFConstant *)numberOfAvailableTasks {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"numberOfAvailableTasks" type: typeType code: 0x46432361];
    return constantObj;
}

+ (OFConstant *)numberOfCompletedTasks {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"numberOfCompletedTasks" type: typeType code: 0x46432363];
    return constantObj;
}

+ (OFConstant *)numberOfTasks {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"numberOfTasks" type: typeType code: 0x46432374];
    return constantObj;
}

+ (OFConstant *)ounces {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"ounces" type: typeType code: 'ozs '];
    return constantObj;
}

+ (OFConstant *)pagesAcross {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"pagesAcross" type: typeType code: 'lwla'];
    return constantObj;
}

+ (OFConstant *)pagesDown {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"pagesDown" type: typeType code: 'lwld'];
    return constantObj;
}

+ (OFConstant *)paragraph {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"paragraph" type: typeType code: 'cpar'];
    return constantObj;
}

+ (OFConstant *)parameterInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"parameterInfo" type: typeType code: 'pmin'];
    return constantObj;
}

+ (OFConstant *)parentTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"parentTask" type: typeType code: 'FCPt'];
    return constantObj;
}

+ (OFConstant *)pasteboardType {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"pasteboardType" type: typeType code: 'OTPT'];
    return constantObj;
}

+ (OFConstant *)path {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"path" type: typeType code: 'ppth'];
    return constantObj;
}

+ (OFConstant *)perspective {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"perspective" type: typeType code: 'FCoo'];
    return constantObj;
}

+ (OFConstant *)perspectiveName {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"perspectiveName" type: typeType code: 'FCPn'];
    return constantObj;
}

+ (OFConstant *)perspectiveNames {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"perspectiveNames" type: typeType code: 'FPSn'];
    return constantObj;
}

+ (OFConstant *)pixelMapRecord {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"pixelMapRecord" type: typeType code: 'tpmm'];
    return constantObj;
}

+ (OFConstant *)png {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"png" type: typeType code: 'OScp'];
    return constantObj;
}

+ (OFConstant *)point {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"point" type: typeType code: 'QDpt'];
    return constantObj;
}

+ (OFConstant *)point_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"point_" type: typeType code: 'OSpt'];
    return constantObj;
}

+ (OFConstant *)pounds {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"pounds" type: typeType code: 'lbs '];
    return constantObj;
}

+ (OFConstant *)precedingSibling {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"precedingSibling" type: typeType code: 'OTps'];
    return constantObj;
}

+ (OFConstant *)preference {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"preference" type: typeType code: 'OFpf'];
    return constantObj;
}

+ (OFConstant *)printSettings {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"printSettings" type: typeType code: 'pset'];
    return constantObj;
}

+ (OFConstant *)processSerialNumber {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"processSerialNumber" type: typeType code: 'psn '];
    return constantObj;
}

+ (OFConstant *)project {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"project" type: typeType code: 'FCpr'];
    return constantObj;
}

+ (OFConstant *)projectOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"projectOrMissingValue" type: typeType code: 0x6363743f];
    return constantObj;
}

+ (OFConstant *)properties {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"properties" type: typeType code: 'pALL'];
    return constantObj;
}

+ (OFConstant *)property {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"property" type: typeType code: 'prop'];
    return constantObj;
}

+ (OFConstant *)propertyInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"propertyInfo" type: typeType code: 'pinf'];
    return constantObj;
}

+ (OFConstant *)quarts {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"quarts" type: typeType code: 'qrts'];
    return constantObj;
}

+ (OFConstant *)quickEntry {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"quickEntry" type: typeType code: 'FCQE'];
    return constantObj;
}

+ (OFConstant *)quickEntryTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"quickEntryTree" type: typeType code: 'FCQw'];
    return constantObj;
}

+ (OFConstant *)r {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"r" type: typeType code: 'OSrv'];
    return constantObj;
}

+ (OFConstant *)radius {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"radius" type: typeType code: 'OFlO'];
    return constantObj;
}

+ (OFConstant *)readablePasteboardTypes {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"readablePasteboardTypes" type: typeType code: 'OTRP'];
    return constantObj;
}

+ (OFConstant *)record {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"record" type: typeType code: 'reco'];
    return constantObj;
}

+ (OFConstant *)reference {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"reference" type: typeType code: 'obj '];
    return constantObj;
}

+ (OFConstant *)referenceDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"referenceDate" type: typeType code: 'FCrd'];
    return constantObj;
}

+ (OFConstant *)remainingTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"remainingTask" type: typeType code: 'FC0T'];
    return constantObj;
}

+ (OFConstant *)remainingTaskCount {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"remainingTaskCount" type: typeType code: 0x46437223];
    return constantObj;
}

+ (OFConstant *)repetition {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"repetition" type: typeType code: 'FCRp'];
    return constantObj;
}

+ (OFConstant *)repetitionInterval {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"repetitionInterval" type: typeType code: 'FCRi'];
    return constantObj;
}

+ (OFConstant *)repetitionIntervalOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"repetitionIntervalOrMissingValue" type: typeType code: 0x6363743e];
    return constantObj;
}

+ (OFConstant *)resizable {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"resizable" type: typeType code: 'prsz'];
    return constantObj;
}

+ (OFConstant *)reviewInterval {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"reviewInterval" type: typeType code: 'FCRI'];
    return constantObj;
}

+ (OFConstant *)richText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"richText" type: typeType code: 'ctxt'];
    return constantObj;
}

+ (OFConstant *)rootTask {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"rootTask" type: typeType code: 'FCrt'];
    return constantObj;
}

+ (OFConstant *)rotation {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"rotation" type: typeType code: 'trot'];
    return constantObj;
}

+ (OFConstant *)s {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"s" type: typeType code: 'OSsv'];
    return constantObj;
}

+ (OFConstant *)score {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"score" type: typeType code: 'FCms'];
    return constantObj;
}

+ (OFConstant *)script {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"script" type: typeType code: 'scpt'];
    return constantObj;
}

+ (OFConstant *)searchTerm {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"searchTerm" type: typeType code: 0x46437e3d];
    return constantObj;
}

+ (OFConstant *)section {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"section" type: typeType code: 'FCSX'];
    return constantObj;
}

+ (OFConstant *)selected {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selected" type: typeType code: 0x4f54733f];
    return constantObj;
}

+ (OFConstant *)selectedGroupingIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedGroupingIdentifier" type: typeType code: 'FCGi'];
    return constantObj;
}

+ (OFConstant *)selectedSmartGroupIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedSmartGroupIdentifier" type: typeType code: 'FCSs'];
    return constantObj;
}

+ (OFConstant *)selectedSortingIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedSortingIdentifier" type: typeType code: 0x46435e69];
    return constantObj;
}

+ (OFConstant *)selectedTaskDurationFilterIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedTaskDurationFilterIdentifier" type: typeType code: 'FCFi'];
    return constantObj;
}

+ (OFConstant *)selectedTaskFlaggedFilterIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedTaskFlaggedFilterIdentifier" type: typeType code: 'FCFf'];
    return constantObj;
}

+ (OFConstant *)selectedTaskStateFilterIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedTaskStateFilterIdentifier" type: typeType code: 0x46433f69];
    return constantObj;
}

+ (OFConstant *)selectedTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedTree" type: typeType code: 'OTst'];
    return constantObj;
}

+ (OFConstant *)selectedViewModeIdentifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"selectedViewModeIdentifier" type: typeType code: 'FCvm'];
    return constantObj;
}

+ (OFConstant *)sequential {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"sequential" type: typeType code: 'FCsq'];
    return constantObj;
}

+ (OFConstant *)setting {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"setting" type: typeType code: 'FCpf'];
    return constantObj;
}

+ (OFConstant *)shortFloat {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"shortFloat" type: typeType code: 'sing'];
    return constantObj;
}

+ (OFConstant *)shortInteger {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"shortInteger" type: typeType code: 'shor'];
    return constantObj;
}

+ (OFConstant *)sidebar {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"sidebar" type: typeType code: 'FCSt'];
    return constantObj;
}

+ (OFConstant *)sidebarTree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"sidebarTree" type: typeType code: 'FCst'];
    return constantObj;
}

+ (OFConstant *)singletonActionHolder {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"singletonActionHolder" type: typeType code: 0x46432e41];
    return constantObj;
}

+ (OFConstant *)size {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"size" type: typeType code: 'ptsz'];
    return constantObj;
}

+ (OFConstant *)specifierOrListOfSpecifier {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"specifierOrListOfSpecifier" type: typeType code: 'cct2'];
    return constantObj;
}

+ (OFConstant *)squareFeet {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"squareFeet" type: typeType code: 'sqft'];
    return constantObj;
}

+ (OFConstant *)squareKilometers {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"squareKilometers" type: typeType code: 'sqkm'];
    return constantObj;
}

+ (OFConstant *)squareMeters {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"squareMeters" type: typeType code: 'sqrm'];
    return constantObj;
}

+ (OFConstant *)squareMiles {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"squareMiles" type: typeType code: 'sqmi'];
    return constantObj;
}

+ (OFConstant *)squareYards {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"squareYards" type: typeType code: 'sqyd'];
    return constantObj;
}

+ (OFConstant *)startDate {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"startDate" type: typeType code: 'FCDs'];
    return constantObj;
}

+ (OFConstant *)startingPage {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"startingPage" type: typeType code: 'lwfp'];
    return constantObj;
}

+ (OFConstant *)status {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"status" type: typeType code: 'FCPs'];
    return constantObj;
}

+ (OFConstant *)steps {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"steps" type: typeType code: 'FCIn'];
    return constantObj;
}

+ (OFConstant *)string {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"string" type: typeType code: 'TEXT'];
    return constantObj;
}

+ (OFConstant *)style {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"style" type: typeType code: 'OSst'];
    return constantObj;
}

+ (OFConstant *)styledClipboardText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"styledClipboardText" type: typeType code: 'styl'];
    return constantObj;
}

+ (OFConstant *)styledText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"styledText" type: typeType code: 'STXT'];
    return constantObj;
}

+ (OFConstant *)suiteInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"suiteInfo" type: typeType code: 'suin'];
    return constantObj;
}

+ (OFConstant *)syncing {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"syncing" type: typeType code: 'FCsp'];
    return constantObj;
}

+ (OFConstant *)targetPrinter {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"targetPrinter" type: typeType code: 'trpr'];
    return constantObj;
}

+ (OFConstant *)task {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"task" type: typeType code: 'FCac'];
    return constantObj;
}

+ (OFConstant *)taskOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"taskOrMissingValue" type: typeType code: 'cct8'];
    return constantObj;
}

+ (OFConstant *)textOrListOfText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"textOrListOfText" type: typeType code: 'cctA'];
    return constantObj;
}

+ (OFConstant *)textOrRealOrIntegerOrBooleanOrMissingValue {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"textOrRealOrIntegerOrBooleanOrMissingValue" type: typeType code: 'cct4'];
    return constantObj;
}

+ (OFConstant *)textStyleInfo {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"textStyleInfo" type: typeType code: 'tsty'];
    return constantObj;
}

+ (OFConstant *)tiff {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"tiff" type: typeType code: 'OSct'];
    return constantObj;
}

+ (OFConstant *)tree {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"tree" type: typeType code: 'OTtr'];
    return constantObj;
}

+ (OFConstant *)typeClass {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"typeClass" type: typeType code: 'type'];
    return constantObj;
}

+ (OFConstant *)unicodeText {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"unicodeText" type: typeType code: 'utxt'];
    return constantObj;
}

+ (OFConstant *)unit {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"unit" type: typeType code: 'FCIu'];
    return constantObj;
}

+ (OFConstant *)unsignedInteger {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"unsignedInteger" type: typeType code: 'magn'];
    return constantObj;
}

+ (OFConstant *)utf16Text {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"utf16Text" type: typeType code: 'ut16'];
    return constantObj;
}

+ (OFConstant *)utf8Text {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"utf8Text" type: typeType code: 'utf8'];
    return constantObj;
}

+ (OFConstant *)v {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"v" type: typeType code: 'OSvv'];
    return constantObj;
}

+ (OFConstant *)value {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"value" type: typeType code: 'valL'];
    return constantObj;
}

+ (OFConstant *)version {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"version" type: typeType code: 'vers'];
    return constantObj;
}

+ (OFConstant *)version_ {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"version_" type: typeType code: 'vers'];
    return constantObj;
}

+ (OFConstant *)visible {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"visible" type: typeType code: 'pvis'];
    return constantObj;
}

+ (OFConstant *)w {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"w" type: typeType code: 'OSwv'];
    return constantObj;
}

+ (OFConstant *)willAutosave {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"willAutosave" type: typeType code: 'FCwa'];
    return constantObj;
}

+ (OFConstant *)window {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"window" type: typeType code: 'cwin'];
    return constantObj;
}

+ (OFConstant *)word {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"word" type: typeType code: 'cwor'];
    return constantObj;
}

+ (OFConstant *)writablePasteboardTypes {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"writablePasteboardTypes" type: typeType code: 'OTWP'];
    return constantObj;
}

+ (OFConstant *)writingCode {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"writingCode" type: typeType code: 'psct'];
    return constantObj;
}

+ (OFConstant *)x {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"x" type: typeType code: 'OSxv'];
    return constantObj;
}

+ (OFConstant *)xml {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"xml" type: typeType code: 'FCxm'];
    return constantObj;
}

+ (OFConstant *)y {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"y" type: typeType code: 'OSyv'];
    return constantObj;
}

+ (OFConstant *)yards {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"yards" type: typeType code: 'yard'];
    return constantObj;
}

+ (OFConstant *)zoomable {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"zoomable" type: typeType code: 'iszm'];
    return constantObj;
}

+ (OFConstant *)zoomed {
    static OFConstant *constantObj;
    if (!constantObj)
        constantObj = [OFConstant constantWithName: @"zoomed" type: typeType code: 'pzum'];
    return constantObj;
}

@end

