/*
 * OFReferenceGlue.h
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import <Foundation/Foundation.h>
#import "Appscript/Appscript.h"
#import "OFCommandGlue.h"
#import "OFReferenceRendererGlue.h"
#define OFApp ((OFReference *)[OFReference referenceWithAppData: nil aemReference: AEMApp])
#define OFCon ((OFReference *)[OFReference referenceWithAppData: nil aemReference: AEMCon])
#define OFIts ((OFReference *)[OFReference referenceWithAppData: nil aemReference: AEMIts])

@interface OFReference : ASReference

/* +app, +con, +its methods can be used in place of OFApp, OFCon, OFIts macros */

+ (OFReference *)app;
+ (OFReference *)con;
+ (OFReference *)its;

/* ********************************* */

- (NSString *)description;

/* Commands */

- (OFGetURLCommand *)GetURL;
- (OFGetURLCommand *)GetURL:(id)directParameter;
- (OFActivateCommand *)activate;
- (OFActivateCommand *)activate:(id)directParameter;
- (OFAddCommand *)add;
- (OFAddCommand *)add:(id)directParameter;
- (OFArchiveCommand *)archive;
- (OFArchiveCommand *)archive:(id)directParameter;
- (OFCloseCommand *)close;
- (OFCloseCommand *)close:(id)directParameter;
- (OFCompactCommand *)compact;
- (OFCompactCommand *)compact:(id)directParameter;
- (OFCompleteCommand *)complete;
- (OFCompleteCommand *)complete:(id)directParameter;
- (OFCountCommand *)count;
- (OFCountCommand *)count:(id)directParameter;
- (OFDeleteCommand *)delete;
- (OFDeleteCommand *)delete:(id)directParameter;
- (OFDuplicateCommand *)duplicate;
- (OFDuplicateCommand *)duplicate:(id)directParameter;
- (OFExistsCommand *)exists;
- (OFExistsCommand *)exists:(id)directParameter;
- (OFGetCommand *)get;
- (OFGetCommand *)get:(id)directParameter;
- (OFIcal_synchronizeCommand *)ical_synchronize;
- (OFIcal_synchronizeCommand *)ical_synchronize:(id)directParameter;
- (OFImportCommand *)import;
- (OFImportCommand *)import:(id)directParameter;
- (OFInsertCommand *)insert;
- (OFInsertCommand *)insert:(id)directParameter;
- (OFLaunchCommand *)launch;
- (OFLaunchCommand *)launch:(id)directParameter;
- (OFMakeCommand *)make;
- (OFMakeCommand *)make:(id)directParameter;
- (OFMoveCommand *)move;
- (OFMoveCommand *)move:(id)directParameter;
- (OFOpenCommand *)open;
- (OFOpenCommand *)open:(id)directParameter;
- (OFOpenLocationCommand *)openLocation;
- (OFOpenLocationCommand *)openLocation:(id)directParameter;
- (OFParseTasksCommand *)parseTasks;
- (OFParseTasksCommand *)parseTasks:(id)directParameter;
- (OFPbcopyCommand *)pbcopy;
- (OFPbcopyCommand *)pbcopy:(id)directParameter;
- (OFPbpasteCommand *)pbpaste;
- (OFPbpasteCommand *)pbpaste:(id)directParameter;
- (OFPbsaveCommand *)pbsave;
- (OFPbsaveCommand *)pbsave:(id)directParameter;
- (OFPrintCommand *)print;
- (OFPrintCommand *)print:(id)directParameter;
- (OFQuitCommand *)quit;
- (OFQuitCommand *)quit:(id)directParameter;
- (OFRedoCommand *)redo;
- (OFRedoCommand *)redo:(id)directParameter;
- (OFRemoveCommand *)remove;
- (OFRemoveCommand *)remove:(id)directParameter;
- (OFReopenCommand *)reopen;
- (OFReopenCommand *)reopen:(id)directParameter;
- (OFRunCommand *)run;
- (OFRunCommand *)run:(id)directParameter;
- (OFSaveCommand *)save;
- (OFSaveCommand *)save:(id)directParameter;
- (OFSelectCommand *)select;
- (OFSelectCommand *)select:(id)directParameter;
- (OFSetCommand *)set;
- (OFSetCommand *)set:(id)directParameter;
- (OFSynchronizeCommand *)synchronize;
- (OFSynchronizeCommand *)synchronize:(id)directParameter;
- (OFUndoCommand *)undo;
- (OFUndoCommand *)undo:(id)directParameter;

/* Elements */

- (OFReference *)PNGData;
- (OFReference *)TIFFData;
- (OFReference *)ancestorTrees;
- (OFReference *)applications;
- (OFReference *)archiveData;
- (OFReference *)attachments;
- (OFReference *)attributeRuns;
- (OFReference *)attributes;
- (OFReference *)availableTasks;
- (OFReference *)characters;
- (OFReference *)colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue;
- (OFReference *)completionMatch;
- (OFReference *)contentTrees;
- (OFReference *)contextOrMissingValue;
- (OFReference *)contexts;
- (OFReference *)dateOrMissingValue;
- (OFReference *)descendantTrees;
- (OFReference *)documentOrQuickEntryTree;
- (OFReference *)documentOrQuickEntryTreeOrFolder;
- (OFReference *)documentOrQuickEntryTreeOrProjectOrTask;
- (OFReference *)documentWindows;
- (OFReference *)documents;
- (OFReference *)fileAttachments;
- (OFReference *)fileOrListOfFile;
- (OFReference *)flattenedContexts;
- (OFReference *)flattenedFolders;
- (OFReference *)flattenedProjects;
- (OFReference *)flattenedTasks;
- (OFReference *)focusSectionss;
- (OFReference *)folderOrMissingValue;
- (OFReference *)folders;
- (OFReference *)followingSiblings;
- (OFReference *)geocode;
- (OFReference *)geocodeOrMissingValue;
- (OFReference *)inboxTasks;
- (OFReference *)inboxTrees;
- (OFReference *)integerOrMissingValue;
- (OFReference *)items;
- (OFReference *)leaves;
- (OFReference *)libraryTrees;
- (OFReference *)listOfFileOrSpecifier;
- (OFReference *)listOfItemOrFocusSectionsOrAny;
- (OFReference *)listOfSpecifierOrSpecifier;
- (OFReference *)namedStyles;
- (OFReference *)paragraphs;
- (OFReference *)pasteboardType;
- (OFReference *)perspectives;
- (OFReference *)point_;
- (OFReference *)precedingSiblings;
- (OFReference *)preferences;
- (OFReference *)printSettings;
- (OFReference *)projectOrMissingValue;
- (OFReference *)projects;
- (OFReference *)quickEntryTrees;
- (OFReference *)remainingTasks;
- (OFReference *)repetitionInterval;
- (OFReference *)repetitionIntervalOrMissingValue;
- (OFReference *)richText;
- (OFReference *)sections;
- (OFReference *)selectedTrees;
- (OFReference *)settings;
- (OFReference *)sidebarTrees;
- (OFReference *)specifierOrListOfSpecifier;
- (OFReference *)styles;
- (OFReference *)taskOrMissingValue;
- (OFReference *)tasks;
- (OFReference *)textOrListOfText;
- (OFReference *)textOrRealOrIntegerOrBooleanOrMissingValue;
- (OFReference *)trees;
- (OFReference *)windows;
- (OFReference *)words;

/* Properties */

- (OFReference *)a;
- (OFReference *)allowedMailSenders;
- (OFReference *)allowsNextAction;
- (OFReference *)altitude;
- (OFReference *)assignedContainer;
- (OFReference *)availableGroupingIdentifiers;
- (OFReference *)availableSmartGroupIdentifiers;
- (OFReference *)availableSortingIdentifiers;
- (OFReference *)availableTaskCount;
- (OFReference *)availableTaskDurationFilterIdentifiers;
- (OFReference *)availableTaskFlaggedFilterIdentifiers;
- (OFReference *)availableTaskStateFilterIdentifiers;
- (OFReference *)availableViewModeIdentifiers;
- (OFReference *)b;
- (OFReference *)blocked;
- (OFReference *)bounds;
- (OFReference *)buildNumber;
- (OFReference *)c;
- (OFReference *)canRedo;
- (OFReference *)canUndo;
- (OFReference *)catalog;
- (OFReference *)class_;
- (OFReference *)closeable;
- (OFReference *)collating;
- (OFReference *)color;
- (OFReference *)completed;
- (OFReference *)completedByChildren;
- (OFReference *)completionDate;
- (OFReference *)compressesTransactions;
- (OFReference *)container;
- (OFReference *)containingDocument;
- (OFReference *)containingProject;
- (OFReference *)content;
- (OFReference *)context;
- (OFReference *)copies;
- (OFReference *)creationDate;
- (OFReference *)defaultDocument;
- (OFReference *)defaultSingletonActionHolder;
- (OFReference *)defaultValue;
- (OFReference *)definingStyle;
- (OFReference *)document;
- (OFReference *)dueDate;
- (OFReference *)effectivelyHidden;
- (OFReference *)embedded;
- (OFReference *)endingPage;
- (OFReference *)errorHandling;
- (OFReference *)estimatedMinutes;
- (OFReference *)expanded;
- (OFReference *)faxNumber;
- (OFReference *)file;
- (OFReference *)fileName;
- (OFReference *)fixed_;
- (OFReference *)flagged;
- (OFReference *)focus;
- (OFReference *)folder;
- (OFReference *)font;
- (OFReference *)frontmost;
- (OFReference *)g;
- (OFReference *)h;
- (OFReference *)hidden;
- (OFReference *)id_;
- (OFReference *)inInbox;
- (OFReference *)inbox;
- (OFReference *)includesSummaries;
- (OFReference *)index;
- (OFReference *)k;
- (OFReference *)lastReviewDate;
- (OFReference *)lastSyncDate;
- (OFReference *)lastSyncError;
- (OFReference *)latitude;
- (OFReference *)library;
- (OFReference *)location;
- (OFReference *)longitude;
- (OFReference *)m;
- (OFReference *)minimizable;
- (OFReference *)minimized;
- (OFReference *)modificationDate;
- (OFReference *)modified;
- (OFReference *)name;
- (OFReference *)nextReviewDate;
- (OFReference *)nextTask;
- (OFReference *)next_;
- (OFReference *)note;
- (OFReference *)noteExpanded;
- (OFReference *)numberOfAvailableTasks;
- (OFReference *)numberOfCompletedTasks;
- (OFReference *)numberOfTasks;
- (OFReference *)pagesAcross;
- (OFReference *)pagesDown;
- (OFReference *)parentTask;
- (OFReference *)path;
- (OFReference *)perspectiveName;
- (OFReference *)perspectiveNames;
- (OFReference *)png;
- (OFReference *)properties;
- (OFReference *)quickEntry;
- (OFReference *)r;
- (OFReference *)radius;
- (OFReference *)readablePasteboardTypes;
- (OFReference *)referenceDate;
- (OFReference *)remainingTaskCount;
- (OFReference *)repetition;
- (OFReference *)resizable;
- (OFReference *)reviewInterval;
- (OFReference *)rootTask;
- (OFReference *)s;
- (OFReference *)score;
- (OFReference *)searchTerm;
- (OFReference *)selected;
- (OFReference *)selectedGroupingIdentifier;
- (OFReference *)selectedSmartGroupIdentifier;
- (OFReference *)selectedSortingIdentifier;
- (OFReference *)selectedTaskDurationFilterIdentifier;
- (OFReference *)selectedTaskFlaggedFilterIdentifier;
- (OFReference *)selectedTaskStateFilterIdentifier;
- (OFReference *)selectedViewModeIdentifier;
- (OFReference *)sequential;
- (OFReference *)sidebar;
- (OFReference *)singletonActionHolder;
- (OFReference *)size;
- (OFReference *)startDate;
- (OFReference *)startingPage;
- (OFReference *)status;
- (OFReference *)steps;
- (OFReference *)style;
- (OFReference *)syncing;
- (OFReference *)targetPrinter;
- (OFReference *)tiff;
- (OFReference *)unit;
- (OFReference *)v;
- (OFReference *)value;
- (OFReference *)version_;
- (OFReference *)visible;
- (OFReference *)w;
- (OFReference *)willAutosave;
- (OFReference *)writablePasteboardTypes;
- (OFReference *)x;
- (OFReference *)xml;
- (OFReference *)y;
- (OFReference *)zoomable;
- (OFReference *)zoomed;

/* ********************************* */


/* ordinal selectors */

- (OFReference *)first;
- (OFReference *)middle;
- (OFReference *)last;
- (OFReference *)any;

/* by-index, by-name, by-id selectors */

- (OFReference *)at:(int)index;
- (OFReference *)byIndex:(id)index;
- (OFReference *)byName:(id)name;
- (OFReference *)byID:(id)id_;

/* by-relative-position selectors */

- (OFReference *)previous:(ASConstant *)class_;
- (OFReference *)next:(ASConstant *)class_;

/* by-range selector */

- (OFReference *)at:(int)fromIndex to:(int)toIndex;
- (OFReference *)byRange:(id)fromObject to:(id)toObject;

/* by-test selector */

- (OFReference *)byTest:(OFReference *)testReference;

/* insertion location selectors */

- (OFReference *)beginning;
- (OFReference *)end;
- (OFReference *)before;
- (OFReference *)after;

/* Comparison and logic tests */

- (OFReference *)greaterThan:(id)object;
- (OFReference *)greaterOrEquals:(id)object;
- (OFReference *)equals:(id)object;
- (OFReference *)notEquals:(id)object;
- (OFReference *)lessThan:(id)object;
- (OFReference *)lessOrEquals:(id)object;
- (OFReference *)beginsWith:(id)object;
- (OFReference *)endsWith:(id)object;
- (OFReference *)contains:(id)object;
- (OFReference *)isIn:(id)object;
- (OFReference *)AND:(id)remainingOperands;
- (OFReference *)OR:(id)remainingOperands;
- (OFReference *)NOT;
@end

