/*
 * OFReferenceGlue.m
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import "OFReferenceGlue.h"

@implementation OFReference

/* +app, +con, +its methods can be used in place of OFApp, OFCon, OFIts macros */

+ (OFReference *)app {
    return [self referenceWithAppData: nil aemReference: AEMApp];
}

+ (OFReference *)con {
    return [self referenceWithAppData: nil aemReference: AEMCon];
}

+ (OFReference *)its {
    return [self referenceWithAppData: nil aemReference: AEMIts];
}


/* ********************************* */

- (NSString *)description {
    return [OFReferenceRenderer formatObject: AS_aemReference appData: AS_appData];
}


/* Commands */

- (OFGetURLCommand *)GetURL {
    return [OFGetURLCommand commandWithAppData: AS_appData
                         eventClass: 'GURL'
                            eventID: 'GURL'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFGetURLCommand *)GetURL:(id)directParameter {
    return [OFGetURLCommand commandWithAppData: AS_appData
                         eventClass: 'GURL'
                            eventID: 'GURL'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFActivateCommand *)activate {
    return [OFActivateCommand commandWithAppData: AS_appData
                         eventClass: 'misc'
                            eventID: 'actv'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFActivateCommand *)activate:(id)directParameter {
    return [OFActivateCommand commandWithAppData: AS_appData
                         eventClass: 'misc'
                            eventID: 'actv'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFAddCommand *)add {
    return [OFAddCommand commandWithAppData: AS_appData
                         eventClass: 'OFss'
                            eventID: 'iadd'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFAddCommand *)add:(id)directParameter {
    return [OFAddCommand commandWithAppData: AS_appData
                         eventClass: 'OFss'
                            eventID: 'iadd'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFArchiveCommand *)archive {
    return [OFArchiveCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCbk'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFArchiveCommand *)archive:(id)directParameter {
    return [OFArchiveCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCbk'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFCloseCommand *)close {
    return [OFCloseCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'clos'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFCloseCommand *)close:(id)directParameter {
    return [OFCloseCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'clos'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFCompactCommand *)compact {
    return [OFCompactCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 0x46433e3c
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFCompactCommand *)compact:(id)directParameter {
    return [OFCompactCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 0x46433e3c
                    directParameter: directParameter
                    parentReference: self];
}

- (OFCompleteCommand *)complete {
    return [OFCompleteCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCCm'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFCompleteCommand *)complete:(id)directParameter {
    return [OFCompleteCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCCm'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFCountCommand *)count {
    return [OFCountCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'cnte'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFCountCommand *)count:(id)directParameter {
    return [OFCountCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'cnte'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFDeleteCommand *)delete {
    return [OFDeleteCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'delo'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFDeleteCommand *)delete:(id)directParameter {
    return [OFDeleteCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'delo'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFDuplicateCommand *)duplicate {
    return [OFDuplicateCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'clon'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFDuplicateCommand *)duplicate:(id)directParameter {
    return [OFDuplicateCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'clon'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFExistsCommand *)exists {
    return [OFExistsCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'doex'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFExistsCommand *)exists:(id)directParameter {
    return [OFExistsCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'doex'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFGetCommand *)get {
    return [OFGetCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'getd'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFGetCommand *)get:(id)directParameter {
    return [OFGetCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'getd'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFIcal_synchronizeCommand *)ical_synchronize {
    return [OFIcal_synchronizeCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCiC'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFIcal_synchronizeCommand *)ical_synchronize:(id)directParameter {
    return [OFIcal_synchronizeCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCiC'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFImportCommand *)import {
    return [OFImportCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 0x46433c3c
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFImportCommand *)import:(id)directParameter {
    return [OFImportCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 0x46433c3c
                    directParameter: directParameter
                    parentReference: self];
}

- (OFInsertCommand *)insert {
    return [OFInsertCommand commandWithAppData: AS_appData
                         eventClass: 'TEXT'
                            eventID: 'OSin'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFInsertCommand *)insert:(id)directParameter {
    return [OFInsertCommand commandWithAppData: AS_appData
                         eventClass: 'TEXT'
                            eventID: 'OSin'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFLaunchCommand *)launch {
    return [OFLaunchCommand commandWithAppData: AS_appData
                         eventClass: 'ascr'
                            eventID: 'noop'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFLaunchCommand *)launch:(id)directParameter {
    return [OFLaunchCommand commandWithAppData: AS_appData
                         eventClass: 'ascr'
                            eventID: 'noop'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFMakeCommand *)make {
    return [OFMakeCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'crel'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFMakeCommand *)make:(id)directParameter {
    return [OFMakeCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'crel'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFMoveCommand *)move {
    return [OFMoveCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'move'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFMoveCommand *)move:(id)directParameter {
    return [OFMoveCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'move'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFOpenCommand *)open {
    return [OFOpenCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'odoc'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFOpenCommand *)open:(id)directParameter {
    return [OFOpenCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'odoc'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFOpenLocationCommand *)openLocation {
    return [OFOpenLocationCommand commandWithAppData: AS_appData
                         eventClass: 'GURL'
                            eventID: 'GURL'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFOpenLocationCommand *)openLocation:(id)directParameter {
    return [OFOpenLocationCommand commandWithAppData: AS_appData
                         eventClass: 'GURL'
                            eventID: 'GURL'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFParseTasksCommand *)parseTasks {
    return [OFParseTasksCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 0x4643503f
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFParseTasksCommand *)parseTasks:(id)directParameter {
    return [OFParseTasksCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 0x4643503f
                    directParameter: directParameter
                    parentReference: self];
}

- (OFPbcopyCommand *)pbcopy {
    return [OFPbcopyCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'copy'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFPbcopyCommand *)pbcopy:(id)directParameter {
    return [OFPbcopyCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'copy'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFPbpasteCommand *)pbpaste {
    return [OFPbpasteCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'pste'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFPbpasteCommand *)pbpaste:(id)directParameter {
    return [OFPbpasteCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'pste'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFPbsaveCommand *)pbsave {
    return [OFPbsaveCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'save'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFPbsaveCommand *)pbsave:(id)directParameter {
    return [OFPbsaveCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'save'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFPrintCommand *)print {
    return [OFPrintCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'pdoc'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFPrintCommand *)print:(id)directParameter {
    return [OFPrintCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'pdoc'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFQuitCommand *)quit {
    return [OFQuitCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'quit'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFQuitCommand *)quit:(id)directParameter {
    return [OFQuitCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'quit'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFRedoCommand *)redo {
    return [OFRedoCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCRd'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFRedoCommand *)redo:(id)directParameter {
    return [OFRedoCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCRd'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFRemoveCommand *)remove {
    return [OFRemoveCommand commandWithAppData: AS_appData
                         eventClass: 'OFss'
                            eventID: 'remv'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFRemoveCommand *)remove:(id)directParameter {
    return [OFRemoveCommand commandWithAppData: AS_appData
                         eventClass: 'OFss'
                            eventID: 'remv'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFReopenCommand *)reopen {
    return [OFReopenCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'rapp'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFReopenCommand *)reopen:(id)directParameter {
    return [OFReopenCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'rapp'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFRunCommand *)run {
    return [OFRunCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'oapp'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFRunCommand *)run:(id)directParameter {
    return [OFRunCommand commandWithAppData: AS_appData
                         eventClass: 'aevt'
                            eventID: 'oapp'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFSaveCommand *)save {
    return [OFSaveCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'save'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFSaveCommand *)save:(id)directParameter {
    return [OFSaveCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'save'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFSelectCommand *)select {
    return [OFSelectCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'isal'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFSelectCommand *)select:(id)directParameter {
    return [OFSelectCommand commandWithAppData: AS_appData
                         eventClass: 'OTRE'
                            eventID: 'isal'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFSetCommand *)set {
    return [OFSetCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'setd'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFSetCommand *)set:(id)directParameter {
    return [OFSetCommand commandWithAppData: AS_appData
                         eventClass: 'core'
                            eventID: 'setd'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFSynchronizeCommand *)synchronize {
    return [OFSynchronizeCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCsy'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFSynchronizeCommand *)synchronize:(id)directParameter {
    return [OFSynchronizeCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCsy'
                    directParameter: directParameter
                    parentReference: self];
}

- (OFUndoCommand *)undo {
    return [OFUndoCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCUd'
                    directParameter: kASNoDirectParameter
                    parentReference: self];
}

- (OFUndoCommand *)undo:(id)directParameter {
    return [OFUndoCommand commandWithAppData: AS_appData
                         eventClass: 'OFOC'
                            eventID: 'FCUd'
                    directParameter: directParameter
                    parentReference: self];
}


/* Elements */

- (OFReference *)PNGData {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'PNGf']];
}

- (OFReference *)TIFFData {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'TIFF']];
}

- (OFReference *)ancestorTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTan']];
}

- (OFReference *)applications {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'capp']];
}

- (OFReference *)archiveData {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OSAd']];
}

- (OFReference *)attachments {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'atts']];
}

- (OFReference *)attributeRuns {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'catr']];
}

- (OFReference *)attributes {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OSsa']];
}

- (OFReference *)availableTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCat']];
}

- (OFReference *)characters {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cha ']];
}

- (OFReference *)colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cctB']];
}

- (OFReference *)completionMatch {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCCM']];
}

- (OFReference *)contentTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCCt']];
}

- (OFReference *)contextOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x6363743b]];
}

- (OFReference *)contexts {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCct']];
}

- (OFReference *)dateOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x6363743c]];
}

- (OFReference *)descendantTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTds']];
}

- (OFReference *)documentOrQuickEntryTree {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct6']];
}

- (OFReference *)documentOrQuickEntryTreeOrFolder {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct5']];
}

- (OFReference *)documentOrQuickEntryTreeOrProjectOrTask {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x6363743a]];
}

- (OFReference *)documentWindows {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCdw']];
}

- (OFReference *)documents {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'docu']];
}

- (OFReference *)fileAttachments {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OSfA']];
}

- (OFReference *)fileOrListOfFile {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct0']];
}

- (OFReference *)flattenedContexts {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCfc']];
}

- (OFReference *)flattenedFolders {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCff']];
}

- (OFReference *)flattenedProjects {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCfx']];
}

- (OFReference *)flattenedTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCft']];
}

- (OFReference *)focusSectionss {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCFS']];
}

- (OFReference *)folderOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct9']];
}

- (OFReference *)folders {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCAr']];
}

- (OFReference *)followingSiblings {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTfs']];
}

- (OFReference *)geocode {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCgc']];
}

- (OFReference *)geocodeOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct7']];
}

- (OFReference *)inboxTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCit']];
}

- (OFReference *)inboxTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCIs']];
}

- (OFReference *)integerOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x6363743d]];
}

- (OFReference *)items {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cobj']];
}

- (OFReference *)leaves {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTlf']];
}

- (OFReference *)libraryTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCLt']];
}

- (OFReference *)listOfFileOrSpecifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct1']];
}

- (OFReference *)listOfItemOrFocusSectionsOrAny {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct3']];
}

- (OFReference *)listOfSpecifierOrSpecifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x63637440]];
}

- (OFReference *)namedStyles {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OSns']];
}

- (OFReference *)paragraphs {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cpar']];
}

- (OFReference *)pasteboardType {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTPT']];
}

- (OFReference *)perspectives {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCoo']];
}

- (OFReference *)point_ {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OSpt']];
}

- (OFReference *)precedingSiblings {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTps']];
}

- (OFReference *)preferences {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OFpf']];
}

- (OFReference *)printSettings {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'pset']];
}

- (OFReference *)projectOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x6363743f]];
}

- (OFReference *)projects {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCpr']];
}

- (OFReference *)quickEntryTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCQw']];
}

- (OFReference *)remainingTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FC0T']];
}

- (OFReference *)repetitionInterval {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCRi']];
}

- (OFReference *)repetitionIntervalOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 0x6363743e]];
}

- (OFReference *)richText {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'ctxt']];
}

- (OFReference *)sections {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCSX']];
}

- (OFReference *)selectedTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTst']];
}

- (OFReference *)settings {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCpf']];
}

- (OFReference *)sidebarTrees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCst']];
}

- (OFReference *)specifierOrListOfSpecifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct2']];
}

- (OFReference *)styles {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OSst']];
}

- (OFReference *)taskOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct8']];
}

- (OFReference *)tasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'FCac']];
}

- (OFReference *)textOrListOfText {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cctA']];
}

- (OFReference *)textOrRealOrIntegerOrBooleanOrMissingValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cct4']];
}

- (OFReference *)trees {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'OTtr']];
}

- (OFReference *)windows {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cwin']];
}

- (OFReference *)words {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference elements: 'cwor']];
}


/* Properties */

- (OFReference *)a {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSav']];
}

- (OFReference *)allowedMailSenders {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCAs']];
}

- (OFReference *)allowsNextAction {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCNA']];
}

- (OFReference *)altitude {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x4f466c5e]];
}

- (OFReference *)assignedContainer {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCAc']];
}

- (OFReference *)availableGroupingIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCGI']];
}

- (OFReference *)availableSmartGroupIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCSI']];
}

- (OFReference *)availableSortingIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46435e49]];
}

- (OFReference *)availableTaskCount {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46436123]];
}

- (OFReference *)availableTaskDurationFilterIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCFI']];
}

- (OFReference *)availableTaskFlaggedFilterIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCFF']];
}

- (OFReference *)availableTaskStateFilterIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46433f49]];
}

- (OFReference *)availableViewModeIdentifiers {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCVM']];
}

- (OFReference *)b {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSbv']];
}

- (OFReference *)blocked {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCBl']];
}

- (OFReference *)bounds {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pbnd']];
}

- (OFReference *)buildNumber {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCbn']];
}

- (OFReference *)c {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OScv']];
}

- (OFReference *)canRedo {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCcr']];
}

- (OFReference *)canUndo {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCcu']];
}

- (OFReference *)catalog {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OScC']];
}

- (OFReference *)class_ {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pcls']];
}

- (OFReference *)closeable {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'hclb']];
}

- (OFReference *)collating {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lwcl']];
}

- (OFReference *)color {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'colr']];
}

- (OFReference *)completed {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCcd']];
}

- (OFReference *)completedByChildren {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCbc']];
}

- (OFReference *)completionDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCdc']];
}

- (OFReference *)compressesTransactions {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCCX']];
}

- (OFReference *)container {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'ctnr']];
}

- (OFReference *)containingDocument {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCCo']];
}

- (OFReference *)containingProject {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCPr']];
}

- (OFReference *)content {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCcn']];
}

- (OFReference *)context {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCct']];
}

- (OFReference *)copies {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lwcp']];
}

- (OFReference *)creationDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDa']];
}

- (OFReference *)defaultDocument {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDo']];
}

- (OFReference *)defaultSingletonActionHolder {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x4643642e]];
}

- (OFReference *)defaultValue {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OFdv']];
}

- (OFReference *)definingStyle {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSds']];
}

- (OFReference *)document {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'docu']];
}

- (OFReference *)dueDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDd']];
}

- (OFReference *)effectivelyHidden {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCHe']];
}

- (OFReference *)embedded {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSin']];
}

- (OFReference *)endingPage {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lwlp']];
}

- (OFReference *)errorHandling {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lweh']];
}

- (OFReference *)estimatedMinutes {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCEM']];
}

- (OFReference *)expanded {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x4f54783f]];
}

- (OFReference *)faxNumber {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'faxn']];
}

- (OFReference *)file {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'file']];
}

- (OFReference *)fileName {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'atfn']];
}

- (OFReference *)fixed_ {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCIf']];
}

- (OFReference *)flagged {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCfl']];
}

- (OFReference *)focus {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCFs']];
}

- (OFReference *)folder {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCAr']];
}

- (OFReference *)font {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'font']];
}

- (OFReference *)frontmost {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pisf']];
}

- (OFReference *)g {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSgv']];
}

- (OFReference *)h {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OShv']];
}

- (OFReference *)hidden {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCHi']];
}

- (OFReference *)id_ {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'ID  ']];
}

- (OFReference *)inInbox {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCIi']];
}

- (OFReference *)inbox {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCIb']];
}

- (OFReference *)includesSummaries {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46432b53]];
}

- (OFReference *)index {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pidx']];
}

- (OFReference *)k {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSyk']];
}

- (OFReference *)lastReviewDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDr']];
}

- (OFReference *)lastSyncDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCsd']];
}

- (OFReference *)lastSyncError {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCse']];
}

- (OFReference *)latitude {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OFly']];
}

- (OFReference *)library {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCLb']];
}

- (OFReference *)location {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FClo']];
}

- (OFReference *)longitude {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OFlx']];
}

- (OFReference *)m {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSym']];
}

- (OFReference *)minimizable {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'ismn']];
}

- (OFReference *)minimized {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pmnd']];
}

- (OFReference *)modificationDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDm']];
}

- (OFReference *)modified {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'imod']];
}

- (OFReference *)name {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pnam']];
}

- (OFReference *)nextReviewDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDR']];
}

- (OFReference *)nextTask {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCna']];
}

- (OFReference *)next_ {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCnx']];
}

- (OFReference *)note {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCno']];
}

- (OFReference *)noteExpanded {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x4f4e783f]];
}

- (OFReference *)numberOfAvailableTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46432361]];
}

- (OFReference *)numberOfCompletedTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46432363]];
}

- (OFReference *)numberOfTasks {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46432374]];
}

- (OFReference *)pagesAcross {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lwla']];
}

- (OFReference *)pagesDown {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lwld']];
}

- (OFReference *)parentTask {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCPt']];
}

- (OFReference *)path {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'ppth']];
}

- (OFReference *)perspectiveName {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCPn']];
}

- (OFReference *)perspectiveNames {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FPSn']];
}

- (OFReference *)png {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OScp']];
}

- (OFReference *)properties {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pALL']];
}

- (OFReference *)quickEntry {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCQE']];
}

- (OFReference *)r {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSrv']];
}

- (OFReference *)radius {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OFlO']];
}

- (OFReference *)readablePasteboardTypes {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OTRP']];
}

- (OFReference *)referenceDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCrd']];
}

- (OFReference *)remainingTaskCount {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46437223]];
}

- (OFReference *)repetition {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCRp']];
}

- (OFReference *)resizable {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'prsz']];
}

- (OFReference *)reviewInterval {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCRI']];
}

- (OFReference *)rootTask {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCrt']];
}

- (OFReference *)s {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSsv']];
}

- (OFReference *)score {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCms']];
}

- (OFReference *)searchTerm {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46437e3d]];
}

- (OFReference *)selected {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x4f54733f]];
}

- (OFReference *)selectedGroupingIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCGi']];
}

- (OFReference *)selectedSmartGroupIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCSs']];
}

- (OFReference *)selectedSortingIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46435e69]];
}

- (OFReference *)selectedTaskDurationFilterIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCFi']];
}

- (OFReference *)selectedTaskFlaggedFilterIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCFf']];
}

- (OFReference *)selectedTaskStateFilterIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46433f69]];
}

- (OFReference *)selectedViewModeIdentifier {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCvm']];
}

- (OFReference *)sequential {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCsq']];
}

- (OFReference *)sidebar {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCSt']];
}

- (OFReference *)singletonActionHolder {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 0x46432e41]];
}

- (OFReference *)size {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'ptsz']];
}

- (OFReference *)startDate {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCDs']];
}

- (OFReference *)startingPage {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'lwfp']];
}

- (OFReference *)status {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCPs']];
}

- (OFReference *)steps {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCIn']];
}

- (OFReference *)style {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSst']];
}

- (OFReference *)syncing {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCsp']];
}

- (OFReference *)targetPrinter {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'trpr']];
}

- (OFReference *)tiff {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSct']];
}

- (OFReference *)unit {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCIu']];
}

- (OFReference *)v {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSvv']];
}

- (OFReference *)value {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'valL']];
}

- (OFReference *)version_ {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'vers']];
}

- (OFReference *)visible {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pvis']];
}

- (OFReference *)w {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSwv']];
}

- (OFReference *)willAutosave {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCwa']];
}

- (OFReference *)writablePasteboardTypes {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OTWP']];
}

- (OFReference *)x {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSxv']];
}

- (OFReference *)xml {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'FCxm']];
}

- (OFReference *)y {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'OSyv']];
}

- (OFReference *)zoomable {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'iszm']];
}

- (OFReference *)zoomed {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference property: 'pzum']];
}


/* ********************************* */


/* ordinal selectors */

- (OFReference *)first {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference first]];
}

- (OFReference *)middle {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference middle]];
}

- (OFReference *)last {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference last]];
}

- (OFReference *)any {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference any]];
}


/* by-index, by-name, by-id selectors */

- (OFReference *)at:(int)index {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference at: index]];
}

- (OFReference *)byIndex:(id)index {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference byIndex: index]];
}

- (OFReference *)byName:(id)name {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference byName: name]];
}

- (OFReference *)byID:(id)id_ {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference byID: id_]];
}


/* by-relative-position selectors */

- (OFReference *)previous:(ASConstant *)class_ {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference previous: [class_ AS_code]]];
}

- (OFReference *)next:(ASConstant *)class_ {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference next: [class_ AS_code]]];
}


/* by-range selector */

- (OFReference *)at:(int)fromIndex to:(int)toIndex {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference at: fromIndex to: toIndex]];
}

- (OFReference *)byRange:(id)fromObject to:(id)toObject {
    // takes two con-based references, with other values being expanded as necessary
    if ([fromObject isKindOfClass: [OFReference class]])
        fromObject = [fromObject AS_aemReference];
    if ([toObject isKindOfClass: [OFReference class]])
        toObject = [toObject AS_aemReference];
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference byRange: fromObject to: toObject]];
}


/* by-test selector */

- (OFReference *)byTest:(OFReference *)testReference {
    return [OFReference referenceWithAppData: AS_appData
                    aemReference: [AS_aemReference byTest: [testReference AS_aemReference]]];
}


/* insertion location selectors */

- (OFReference *)beginning {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference beginning]];
}

- (OFReference *)end {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference end]];
}

- (OFReference *)before {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference before]];
}

- (OFReference *)after {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference after]];
}


/* Comparison and logic tests */

- (OFReference *)greaterThan:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference greaterThan: object]];
}

- (OFReference *)greaterOrEquals:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference greaterOrEquals: object]];
}

- (OFReference *)equals:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference equals: object]];
}

- (OFReference *)notEquals:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference notEquals: object]];
}

- (OFReference *)lessThan:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference lessThan: object]];
}

- (OFReference *)lessOrEquals:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference lessOrEquals: object]];
}

- (OFReference *)beginsWith:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference beginsWith: object]];
}

- (OFReference *)endsWith:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference endsWith: object]];
}

- (OFReference *)contains:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference contains: object]];
}

- (OFReference *)isIn:(id)object {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference isIn: object]];
}

- (OFReference *)AND:(id)remainingOperands {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference AND: remainingOperands]];
}

- (OFReference *)OR:(id)remainingOperands {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference OR: remainingOperands]];
}

- (OFReference *)NOT {
    return [OFReference referenceWithAppData: AS_appData
                                 aemReference: [AS_aemReference NOT]];
}

@end

