/*
 * OFReferenceRendererGlue.m
 * /Applications/OmniFocus.app
 * osaglue 0.5.4
 *
 */

#import "OFReferenceRendererGlue.h"

@implementation OFReferenceRenderer
- (NSString *)propertyByCode:(OSType)code {
    switch (code) {
        case 'OSav': return @"a";
        case 'FCAs': return @"allowedMailSenders";
        case 'FCNA': return @"allowsNextAction";
        case 0x4f466c5e: return @"altitude";
        case 'OScA': return @"archive";
        case 'FCAc': return @"assignedContainer";
        case 'FCGI': return @"availableGroupingIdentifiers";
        case 'FCSI': return @"availableSmartGroupIdentifiers";
        case 0x46435e49: return @"availableSortingIdentifiers";
        case 0x46436123: return @"availableTaskCount";
        case 'FCFI': return @"availableTaskDurationFilterIdentifiers";
        case 'FCFF': return @"availableTaskFlaggedFilterIdentifiers";
        case 0x46433f49: return @"availableTaskStateFilterIdentifiers";
        case 'FCVM': return @"availableViewModeIdentifiers";
        case 'OSbv': return @"b";
        case 'FCBl': return @"blocked";
        case 'pbnd': return @"bounds";
        case 'FCbn': return @"buildNumber";
        case 'OScv': return @"c";
        case 'FCcr': return @"canRedo";
        case 'FCcu': return @"canUndo";
        case 'OScC': return @"catalog";
        case 'pcls': return @"class_";
        case 'hclb': return @"closeable";
        case 'lwcl': return @"collating";
        case 'colr': return @"color";
        case 'FCcd': return @"completed";
        case 'FCbc': return @"completedByChildren";
        case 'FCdc': return @"completionDate";
        case 'FCCX': return @"compressesTransactions";
        case 'ctnr': return @"container";
        case 'FCCo': return @"containingDocument";
        case 'FCPr': return @"containingProject";
        case 'FCcn': return @"content";
        case 'FCct': return @"context";
        case 'lwcp': return @"copies";
        case 'FCDa': return @"creationDate";
        case 'FCDo': return @"defaultDocument";
        case 0x4643642e: return @"defaultSingletonActionHolder";
        case 'OSdv': return @"defaultValue";
        case 'OFdv': return @"defaultValue";
        case 'OSds': return @"definingStyle";
        case 'docu': return @"document";
        case 'FCDd': return @"dueDate";
        case 'FCHe': return @"effectivelyHidden";
        case 'OSin': return @"embedded";
        case 'lwlp': return @"endingPage";
        case 'lweh': return @"errorHandling";
        case 'FCEM': return @"estimatedMinutes";
        case 0x4f54783f: return @"expanded";
        case 'faxn': return @"faxNumber";
        case 'file': return @"file";
        case 'atfn': return @"fileName";
        case 'FCIf': return @"fixed_";
        case 'FCfl': return @"flagged";
        case 'FCFs': return @"focus";
        case 'FCAr': return @"folder";
        case 'font': return @"font";
        case 'pisf': return @"frontmost";
        case 'OSgv': return @"g";
        case 'OShv': return @"h";
        case 'FCHi': return @"hidden";
        case 'ID  ': return @"id_";
        case 'FCIi': return @"inInbox";
        case 'FCIb': return @"inbox";
        case 0x46432b53: return @"includesSummaries";
        case 'pidx': return @"index";
        case 'OSyk': return @"k";
        case 'FCDr': return @"lastReviewDate";
        case 'FCsd': return @"lastSyncDate";
        case 'FCse': return @"lastSyncError";
        case 'OFly': return @"latitude";
        case 'FCLb': return @"library";
        case 'FClo': return @"location";
        case 'OFlx': return @"longitude";
        case 'OSym': return @"m";
        case 'ismn': return @"minimizable";
        case 'pmnd': return @"minimized";
        case 'FCDm': return @"modificationDate";
        case 'imod': return @"modified";
        case 'pnam': return @"name";
        case 'FCDR': return @"nextReviewDate";
        case 'FCna': return @"nextTask";
        case 'FCnx': return @"next_";
        case 'FCno': return @"note";
        case 0x4f4e783f: return @"noteExpanded";
        case 0x46432361: return @"numberOfAvailableTasks";
        case 0x46432363: return @"numberOfCompletedTasks";
        case 0x46432374: return @"numberOfTasks";
        case 'lwla': return @"pagesAcross";
        case 'lwld': return @"pagesDown";
        case 'FCPt': return @"parentTask";
        case 'ppth': return @"path";
        case 'FCPn': return @"perspectiveName";
        case 'FPSn': return @"perspectiveNames";
        case 'OScp': return @"png";
        case 'pALL': return @"properties";
        case 'FCQE': return @"quickEntry";
        case 'OSrv': return @"r";
        case 'OFlO': return @"radius";
        case 'OTRP': return @"readablePasteboardTypes";
        case 'FCrd': return @"referenceDate";
        case 0x46437223: return @"remainingTaskCount";
        case 'FCRp': return @"repetition";
        case 'prsz': return @"resizable";
        case 'FCRI': return @"reviewInterval";
        case 'FCrt': return @"rootTask";
        case 'OSsv': return @"s";
        case 'FCms': return @"score";
        case 0x46437e3d: return @"searchTerm";
        case 0x4f54733f: return @"selected";
        case 'FCGi': return @"selectedGroupingIdentifier";
        case 'FCSs': return @"selectedSmartGroupIdentifier";
        case 0x46435e69: return @"selectedSortingIdentifier";
        case 'FCFi': return @"selectedTaskDurationFilterIdentifier";
        case 'FCFf': return @"selectedTaskFlaggedFilterIdentifier";
        case 0x46433f69: return @"selectedTaskStateFilterIdentifier";
        case 'FCvm': return @"selectedViewModeIdentifier";
        case 'FCsq': return @"sequential";
        case 'FCSt': return @"sidebar";
        case 0x46432e41: return @"singletonActionHolder";
        case 'ptsz': return @"size";
        case 'FCDs': return @"startDate";
        case 'lwfp': return @"startingPage";
        case 'FCPs': return @"status";
        case 'FCIn': return @"steps";
        case 'OSst': return @"style";
        case 'FCsp': return @"syncing";
        case 'trpr': return @"targetPrinter";
        case 'OSct': return @"tiff";
        case 'FCIu': return @"unit";
        case 'OSvv': return @"v";
        case 'valL': return @"value";
        case 'vers': return @"version_";
        case 'pvis': return @"visible";
        case 'OSwv': return @"w";
        case 'FCwa': return @"willAutosave";
        case 'OTWP': return @"writablePasteboardTypes";
        case 'OSxv': return @"x";
        case 'FCxm': return @"xml";
        case 'OSyv': return @"y";
        case 'iszm': return @"zoomable";
        case 'pzum': return @"zoomed";
        default: return nil;
    }
}

- (NSString *)elementByCode:(OSType)code {
    switch (code) {
        case 'PNGf': return @"PNGData";
        case 'TIFF': return @"TIFFData";
        case 'OTan': return @"ancestorTrees";
        case 'capp': return @"applications";
        case 'OSAd': return @"archiveData";
        case 'atts': return @"attachments";
        case 'catr': return @"attributeRuns";
        case 'OSsa': return @"attributes";
        case 'FCat': return @"availableTasks";
        case 'cha ': return @"characters";
        case 'OSco': return @"color";
        case 'cctB': return @"colorOrTextOrFileOrPointOrRealOrIntegerOrBooleanOrPointOrMissingValue";
        case 'FCCM': return @"completionMatch";
        case 'FCCt': return @"contentTrees";
        case 0x6363743b: return @"contextOrMissingValue";
        case 'FCct': return @"contexts";
        case 0x6363743c: return @"dateOrMissingValue";
        case 'OTds': return @"descendantTrees";
        case 'cct6': return @"documentOrQuickEntryTree";
        case 'cct5': return @"documentOrQuickEntryTreeOrFolder";
        case 0x6363743a: return @"documentOrQuickEntryTreeOrProjectOrTask";
        case 'FCdw': return @"documentWindows";
        case 'docu': return @"documents";
        case 'OSfA': return @"fileAttachments";
        case 'cct0': return @"fileOrListOfFile";
        case 'FCfc': return @"flattenedContexts";
        case 'FCff': return @"flattenedFolders";
        case 'FCfx': return @"flattenedProjects";
        case 'FCft': return @"flattenedTasks";
        case 'FCFS': return @"focusSectionss";
        case 'cct9': return @"folderOrMissingValue";
        case 'FCAr': return @"folders";
        case 'OTfs': return @"followingSiblings";
        case 'FCgc': return @"geocode";
        case 'cct7': return @"geocodeOrMissingValue";
        case 'FCit': return @"inboxTasks";
        case 'FCIs': return @"inboxTrees";
        case 0x6363743d: return @"integerOrMissingValue";
        case 'cobj': return @"items";
        case 'OTlf': return @"leaves";
        case 'FCLt': return @"libraryTrees";
        case 'cct1': return @"listOfFileOrSpecifier";
        case 'cct3': return @"listOfItemOrFocusSectionsOrAny";
        case 0x63637440: return @"listOfSpecifierOrSpecifier";
        case 'OSns': return @"namedStyles";
        case 'cpar': return @"paragraphs";
        case 'OTPT': return @"pasteboardType";
        case 'FCoo': return @"perspectives";
        case 'OSpt': return @"point_";
        case 'OTps': return @"precedingSiblings";
        case 'OFpf': return @"preferences";
        case 'pset': return @"printSettings";
        case 0x6363743f: return @"projectOrMissingValue";
        case 'FCpr': return @"projects";
        case 'FCQw': return @"quickEntryTrees";
        case 'FC0T': return @"remainingTasks";
        case 'FCRi': return @"repetitionInterval";
        case 0x6363743e: return @"repetitionIntervalOrMissingValue";
        case 'ctxt': return @"richText";
        case 'FCSX': return @"sections";
        case 'OTst': return @"selectedTrees";
        case 'FCpf': return @"settings";
        case 'FCst': return @"sidebarTrees";
        case 'cct2': return @"specifierOrListOfSpecifier";
        case 'OSst': return @"styles";
        case 'cct8': return @"taskOrMissingValue";
        case 'FCac': return @"tasks";
        case 'cctA': return @"textOrListOfText";
        case 'cct4': return @"textOrRealOrIntegerOrBooleanOrMissingValue";
        case 'OTtr': return @"trees";
        case 'cwin': return @"windows";
        case 'cwor': return @"words";
        default: return nil;
    }
}

- (NSString *)prefix {
    return @"OF";
}

@end

